Main View

When you open MULTILIZER the recent files list is shown. This makes it possible to quickly reopen a recently opened project, open another project, create a new project, or read the online manual.

Projects

Contains list of recently opened projects. To open a project click the project name.

Create New Project

To create a new project click this button.

Open Another Project

To open a project click this button and browse to the project file.

Read Manual

To read the online manual click this button. You need to have Adobe Acrobat installed.

© 2005 Multilizer Inc. www.multilizer.com All rights reserved.


What's New?

MULTILIZER 6 is the new major release of the award-winning localization technology. There are tens of generic features that simplify localization and improve productivity on any platform and project. There are major improvements in platform specific features too.

New General Features in MULTILIZER 6.2

  • Visual Studio 2005 (.NET 2.0) support.
  • Delphi 2006 support.
  • Support for TRADOS 6.
  • Additions & improvements in command-line utility (Enterprise edition only).
  • Improved import functionality for TMX.
  • Improved import functionality for Microsoft glossaries.

New General Features in earlier MULTILIZER 6 releases

WYSIWYG

  • Visual Editors -- for all common resource types in EXE and RC localization.
  • Source-code WYSIWYG; enables full context for translation of strings in code.
  • XML WYSIWYG
  • Lock dialogs to prevent resizing/reworking of dialogs.

Validation

  • Close to 20 different validation routines
  • Geometry validations: overlap, unmapped controls, ...
  • Consistency validations: duplicate hotkeys, missing periods, ...
  • Detailed Validation Reports
  • Auto-fix issues detected in validation

Widest support for industry standards

  • Delphi 8 (for .NET) support.
  • C#Builder support.
  • XLIFF
  • Localization of binary values; e.g., localization of embedded WAV, AVI, etc.
  • Localization of boolean values.
  • Localization of Colors.
  • Localization of Floating point numbers
  • Localization of Fonts.
  • Localization of IME Modes.
  • Localization of Integers.
  • Localization of Images.
  • Localization of Reading orders.
  • Localization of Short cuts.

Miscellaneous

  • Significantly improved performance in Multilizer project maintenance.
  • Fully configurable path for output of localized files.
  • Improved project statistics.
  • Translation-specific comments for every translation in project.
  • 6-level status for project translations: Not ready, best guess, Auto translated, translated, QAed, Ready.
  • 4-level status for row (project) strings: New, Unused, In use, Changed.
  • Improved support for entering Far Eastern characters on any supported Windows platform.
  • Re-worked filter for any combination of translation statuses, row statuses, and data types.
  • 3-level priority for any part of project: Low, Normal, High.
  • Portable Multilizer settings files; help to share the same settings between multiple users.
  • Toggle non-printable characters showing on/off in cells.
  • Display and edit translation status in a cell; translation status can be shown as text in translation grid.
  • Display and edit max characters value in a cell.
  • Display and edit max pixels value in a cell.
  • New Translation Memory
  • New .NET Features
  • New Delphi/C++Builder Features
  • New XML Localization Features
  • New Database Localization Features
  • New C++/RC Localization Features

New Translation Memory

  • Fuzzy match
  • Totally re-architectured user interface for configuration and efficient management of TM's.
  • Configure and switch between multiple translation memories.
  • Specify fuzzy-match threshold.
  • Apply 'Auto-translated' flag to project strings; enables filtering of auto-translated strings in project.

New .NET Features

  • WYSIWYG; works without .NET Framework installed.
  • Support for SLN (Visual Studio Solution) files; no need to separately pick the ResX for localization.
  • Localization of .NET executables (binary localization).
  • WYSIWYG configuration for 3rd-party .NET controls; enables users to specify visual appearance virtually of any control.
  • Visual Studio .NET 2002 support
  • Visual Studio .NET 2003 support
  • C#Builder support
  • Delphi 8 support.
  • Delphi 2005 support.

New Delphi/C++Builder Features

  • Delphi 8 support
  • Display of visual inheritance; allows accurate localization of inherited forms and frames.
  • WYSIWYG configuration for 3rd-party VCL components; enables users to specify visual appearance virtually of any control.
  • Localization of Common Dialogs in binary localization.
  • Run-time language switch in multilingual executable produced by binary-localization.

New XML Localization Features

  • WYSIWYG
  • Customizable segmentation rules; allows strings to enable more efficient translation of longer strings.
  • Localize embedded graphics in XML.
  • Localize strings of embedded source code in XML

New Database Localization Features

  • Unique database cloning architecture; produce exact copies of databases (structures) with localized content.
  • Improved performance in large databases.

New C++/RC Localization Features

  • Localize either application binaries or RC-files.
  • WYSIWYG; Visual Editors for standard resources
  • Visual localization of strings embedded in source code.
© 2006 Multilizer www.multilizer.com All rights reserved.


Licenses

MULTILIZER uses an incremental license policy. This means that there can exist zero or more licenses that is each granted for one or more platforms. There are two kinds of licenses; the first is for developers and QA persons, the second is for translators.

You can check the current license status by choosing Tools | Licenses menu.

Developer / Localization manager's License

This license is for localization managers, developers, software testers and QA personnel. It has several sublicenses. Following list contains the sublicenses and describes what targets can be localized:

MULTILIZER Enterprise

This license allows the user to localize any target.

MULTILIZER for Windows

.NET, Visual Basic, Visual C++, Delphi and C++Builder applications, databases and data files.

MULTILIZER for VCL

Delphi and C++Builder applications and data files.

MULTILIZER for Visual C++

Visual C++ applications and data files.

MULTILIZER for .NET and Visual Basic

.NET and Visual Basic applications and data files.

MULTILIZER for Java

Java and J2ME applications and data files.

Translator Edition Pro

This license is for translators and QA persons. The license allows the user to translate MULTILIZER projects and to create localized versions of the targets. This helps to test the results of localization. New projects cannot be created.

Translator Edition

This license is for translators. The license allows the user only to translate MULTILIZER projects including any kind of targets. New projects cannot be created. Localized files cannot be built. Translator Edition is free of charge.

Note! If you remove all licenses from Multilizer ( Tools | Licenses...) it becomes MULTILIZER Translator Edition.


Evaluation

MULTILIZER evaluation version lets users test product functionality before buying a license for using it in production. The evaluation version has the same functionality as the commercial version; evaluation version limitations don’t prevent users from testing all MULTILIZER features.

Limitations

MULTILIZER evaluation version works the same as the commercial version, except for the following limitations:

Time limitation

MULTILIZER works for only 30-days from installation. The Time limitation is the same for all MULTILIZER evaluation versions.

Technical limitations

The strings of the localized targets created by MULTILIZER will have some strings modified. For example: "Sample Name" -> "Sample Name [ MULTILIZER eval]"


Supported Platforms - Overview

Supported Platforms

MULTILIZER supports several platforms, compilers and operating systems.

  • Microsoft Win32 Applications (EXE, DLL, OCX, etc.)

  • Microsoft .NET solutions, projects, and resources (ResX, sln, csproj, vbproj, etc.)

  • .NET Assemblies (EXE, DLL, etc.)

  • Visual Studio .NET Smart Device Application projects

  • Borland C#Builder projects

  • Borland Delphi 8 projects

  • Borland Delphi/C++Builder binaries (EXE, DLL, BPL, OCX, etc.)

  • Java (J2EE, J2SE, J2ME)

  • Data files: XML and derivatives, Text files (UTF-8, UTF16, ANSI, etc.), INI-files, KEY-files, SHL-files, ...


System Requirements

Minimum System Requirements

  • Windows 2000 or XP
  • Pentium CPU or higher
  • 256MB central memory
  • 40MB hard disk space

Recommended

  • Windows XP
  • 1GHz Pentium CPU
  • 512MB central memory
  • 60MB hard disk space


Glossary

Accelerator resource
Accelerator resources include key combinations used as shortcuts in an application. MULTILIZER extracts accelerator resources from executables, and allows the localization of them.
Bitmap resource
Bitmap resource includes an image. MULTILIZER extracts bitmap resources from executables, and allows the localization of them.
Cursor resource
Cursor resource includes application-specific cursors. MULTILIZER extracts cursors from executables, and allows the localization of them. Cursors are bitmaps, so the localization is achieved with a visual editor.
Icon resource
Icon resource includes application-specific icons. MULTILIZER extracts icons from executables, and allows the localization of them. Icons are bitmaps, so the localization is achieved with a visual editor.
Localization Kit
Localization Kit is a compressed file created with Exchange Wizard. It contains in a minimum a sub-project. It can also include MULTILIZER Translator Edition and any user-specified files. If Localization Kit includes MULTILIZER Translator Edition, it is a self-installing executable; when executing it, it installs and runs MULTILIZER Translator Edition and opens the sub-project. If MULTILIZER Translator Edition is not included, the Localization Kit is a compressed MULTILIZER package file (MLP) that can be opened in any MULTILIZER Edition, in order to extract the contents of it.
MULTILIZER Edition(s)
MULTILIZER Editions are different MULTILIZER products that can be purchased separately (Note: MULTILIZER Translator Edition is free, and included in Localization Kit). MULTILIZER Editions differ in the role in a localization process, and in support for different platforms.
Project
A MULTILIZER project must be created in order to localized any software/content. MULTILIZER project retains all the information required for localizing software/content. It contains 1...N targets along with associated data. In addition MULTILIZER project keeps information of target languages and general project information. MULTILIZER project can be created with following MULTILIZER editions: MULTILIZER Enterprise, MULTILIZER for Oracle, MULTILIZER for Windows, MULTILIZER for .NET, MULTILIZER for VCL, and MULTILIZER for Java.
Project Tree
Project tree is the tree-structure shown in the left-hand side of MULTILIZER application's Project View.
Project View
The main view of MULTILIZER is called the Project View. It is shown upon opening a MULTILIZER project, or creating a new one.
Resources
Resources are data that are kept separate from the program code. Resources can contain localizable data, such as string tables to translate. MULTILIZER is able to detect localizable resource types from within Windows executables and add them in MULTILIZER project. Some resource types support WYSIWYG.
Sub-project
Sub-project is a MULTILIZER project that is created with Exchange Wizard. Sub-project contains a sub-set of MULTILIZER project's languages, and sub-set of the targets. In addition translations may be filtered out with Exchange Wizard. Sub-projects are maintained normally only for translation. After translation, sub-project is imported to a MULTILIZER project using Import Wizard.
Target
Target ( MULTILIZER Localization Target) is a file/database that is supported and localized in MULTILIZER . A target can be a software project file, software executable (EXE, DLL, etc.), single source file, database, etc. MULTILIZER project targets are shown as root-nodes in Project Tree. For each target you can specify native language (source language).
Target language
Target language is the language(s) into which the software/content is localized. Target language should not be mixed with target.
Translation Workplace
Translation workplace is the part of the MULTILIZER application where translations are edited. It shows strings to translate and accompanying info, such as resources shown in WYSIWYG.
WYSIWYG
WYSIWYG (What you see is what you get) stands for the UI editors that allow users to modify the size and position of dialog resources, form resources, edit bitmap resources, and menu resources visually.


Project Wizard

Project Wizard helps to create a new MULTILIZER project, which is required to localize software/content. (C.f. chapter "Create project" in MULTILIZER manual)

The Wizard consists of the following steps:

  1. Choose between file target and database target

  2. Select file or database to localize

  3. Enter additional info, depending on target platform and target type

  4. Enter project information

  5. Select project languages

  6. Import existing translations to the project


Project Wizard - Target Type

The Target Type dialog lets you select the type of the target. The possible values are:

Localize a File

Press Localize a File to localize a file such as an application file (executable), a project file, a source code file, a resource file, or a data file.

Localize a Database

Press Localize a Database to localize a database.


Project Wizard - File Target

This page allows you to select the project target file and file type.

Use the directory combo box on the upper side of the dialog to select the directory where the file(s) is located. The list view in the middle shows the files that Multilizer can localize.

If you want to show only certain kind of files use the file type combo box in the bottom of the dialog to select the file type. You can also type a wild card filter to show only one type of target.

Select All supported files to view all supported file types. Select Select file types to specify wild card filter by platform and type.


Project Wizard - Database Target

Use this sheet to select the database you want to localize.

Database

Specifies the database connection method. Select the type of the database and then based on your selection one or more of following settings:

Address/Directory/Connection string/Alias

Enter the database address. This is either a directory, URL, alias or a connection string depending on the selected database type.

Database

Enter the database name. This is the name of the database on the database server.

Parameters

Enter the extra connection parameters of the database.

Connect

Press the connection button in order to make a connection to the database. After connecting succesfully next button is enabled.


Project Wizard - Information

Collects information about the project. All information is optional, but recommended to identify the project.

Author

Your name.

Organization

Your organization.

Description

The description about the project you are going to create.


Project Wizard - Languages

The Languages sheet lets you add the initial languages and country specific languages (sub languages) to the project. A project must contain at least one language. There is no limit on the number of languages in the project.

Available languages

Available languages contain a list of available languages and sub-languages. Add a language by dragging it to the Selected languages list or by double clicking the language.

Normally you only add country neutral languages (e.g. German) to the project. A single neutral language can support all the sub languages of the language. For example a single German language will suffice for German (Germany), German (Austria) and German (Switzerland).

However, sometimes the words or at least the spelling of the words differ between the sub languages of the same language. For example, United States spell some words differently. In such cases you can add a language and a sub-language for the same language. For example add English language first and then the United States locale second. Then if there is a translation in English (United States) language that value will be used, otherwise the English (neutral) translation value.

If the Available languages list does not contain the language that you want to use, you have to add the language to the System languages list. Choose Tools | Languages and Locales menu to open Languages and Locales dialog box that lets you add new languages and locales.

Selected languages

The list contains selected languages for the project. You have to have at least one selected language before proceeding. You can remove a language from the project by selecting and pressing the Remove button or the Del key.

For example if you are going to support English, American English, German and French choose English first, followed by English (United States), German and French. Your project will contain five columns (Native, English, English (United States), German and French).

You can add more languages later by choosing Project | Languages.

Re-order Selected Languages

Re-order the selected languages by dragging and dropping or by using the buttons Up and Down. The order of the languages will affect only the language display order in the project.


Project Wizard - Import

The Import sheet lets you import existing translations to the project from external files.

MULTILIZER tries to search existing translations automatically based on the target type and languages you selected. If MULTILIZER fails to find any existing translations select the language where you want to import the translations to and press "Add..." to select the file name. The languages you see are the languages you selected on Project Wizard Languages sheet.


Import Wizard - Source

This sheet lets you select the source of the imported translations. The possible values are:

Import a File

Press Import a File to import translations from a file such as an application file, a project file, a source code file, a resource file, or a data file.

Import a Database

Press Import a Database to import translations from a database table.

Import from a Service

Press Import from a Service to import translations from the translation service. This option is enabled only if you have installed a Service Provider add-on.


Import Wizard - File

This dialog allows you to select the imported file and file type.

Wild card filter

Use the wild card filter to view only one type of targets. Select All supported files to view all supported file types. Select Select file types to specify wild card filter by platform and type.


Import Wizard - Database

Use this sheet to select the database you want to import.

Database

Specifies the database connection method. Select the type of the database and then based on your selection one or more of following settings:

Directory/URL/Alias/Connection string

Enter the database address. This is either a directory, URL, alias or a connection string depending on the selected database type.

User name

Enter the user name for the database.

Password

Enter the password for the database.

User name and the password are visible only if the database uses user login.

Connect

Press the connection button in order to make a connection to the database.

Database item

Select the database table, native field, translation field and optional comment field.

Table name

Select the table from the list.

Native field

Select the field that contains the native strings. If you import to the translation memory select also the native language.

Translation field

Select the field that contains the translated strings and select the language.

Comment field

Select the field that contains the comments.

Each field contains the encodings combo box. Use it to select the character encoding that is used in the field.


Import Wizard - Languages

Some import file formats may include several languages. On this page you can select which languages you want to import to the project.


Import Wizard - Options

Use this page to set the import options. Note! All options are not available for every import type.

Import method

Specifies the import method and how the program locates the item where the translation belongs to. Possible options are:

By value | Compare the native values when locating the item.
By context | Compare the native context when locating the item.
By context first then by value | Compare first context then native value when locating the item.

Context and native value must match

Import the value only if the context and the native value of the item in imported file match the item in the current project. For example if this check box is checked, the context of the item is Project1.exe.Form1.Button1 and the current native value id "Press" and the imported native value is "Press This", MULTILIZER does not import the value.

Overwrite the current value

Specifies when MULTILIZER overwrites the current value of translation. Possible options are:

Never | Never overwrite if current value exists.
Always | Always overwrite the current value.
If the import status is equal or greater than the current status

Overwrites if the status of translation being imported is equal or greater than corresponding status in project. This option is available on importing Multilizer projects.
If the import status is greater than the current status | Overwrites if the status of translation being imported is greater than corresponding status in project. This option is available on importing Multilizer projects.

Import only if the value is not empty

Specifies if MULTILIZER import the value only if the native value is not empty.

Import only if the value does not equal the native value

Specifies if MULTILIZER import the value only if it does not equal the native value.

Import translation status

Some import source types include the translation status. With this option you can specify how to import translation statuses.

No

Do not import translation status.

Yes

Import translation statuses.

Set

Sets the translation status of imported strings to the selected value.

Import the Do Not Translate status

Import the translations marked with Do Not Translate status.

Import maximum length value

Import the translation maximum length value.

Comment

Some import source types include the translation comments. With this option you can specify how to import comments.

Do not import

Do not import comments.

Import if the current value is empty

Import comment only if the current comment value is empty.

Overwrite the current value

Import and replace the current comment values.


Import Wizard - Column

Use this page to specify the (language) column where you want to import the data to.


Export Wizard - Target

Export Wizard is used for exporting Multilizer project translations (native value & language columns) along with comments and context information to other formats. This feature is meant primarily for sending translations from Multilizer to another product. In order to send translations to translators, use Exchange Wizard.

This sheet lets you select the target of the exported translations. The possible values are:

Create a File

Press Create a File to export translations to the file.

Upload to a Service

Press Upload to a Service to upload translations to the translation service. This option is enabled only for service providers under Multilizer Service Provider agreement.


Export Wizard - TMX File Format

File name

Specifies the exported file name (e.g. c:\project\export.tmx).

Format

Character set

Specifies the character set of the file. Unicode is recommended whenever possible.

Version

Specifies the TMX file version.

DTD

Specifies the DTD file location.

Admin language

Specifies the administrative language of the file.

Source language

Specifies the source language of the file.

Lang-attribute

Specifies the case of the Lang-attributes.

Write empty translations

Specifies if MULTILIZER writes the empty translations to the file.

Write comments

Specifies if MULTILIZER writes the translation comments to the file.

Write context

Specifies if MULTILIZER writes the translation context to the file.

Write status

Specifies if MULTILIZER writes the translation status to the file.


Export Wizard - Text File Format

File name

Specifies the exported file name (e.g. c:\project\export.txt).

Character set

Specifies the character set of the file.

Delimiter

Specifies the delimiter character between the native and translations.

Quote

Specifies if quotes are added around the strings.

Context column

Specifies if and how MULTILIZER includes the translation context information to the file. Possible options are:

No | Do not include the context.
First | Includes the context as the first column.
After native | Includes the context after the native column.
Last | Includes the context as the last column.

Comment column

Specifies if MULTILIZER includes the row comment to the file.

Use UTF-8 signature

Specifies if MULTILIZER includes the UTF-8 signature in the file. This option is available for UTF-8 encoding only.

Use byte order mark

Specifies if MULTILIZER uses the byte order mark in the file. This option is available for UTF-16 encoding only.

First line sample

First line sample shows the layout of the resulting text file; it changes according to the settings done by the user.


Export Wizard - Options

Use this sheet to specify the options for exported data.

Export range

Specifies the range of data to export. Possible options are:

Whole project | Exports all nodes in the project. (Default)
Current node | Exports selected project tree node and its sub-nodes only.

Translation status

Specifies the exported data range by translation status. Strings having selected translation statuses will be included to the export package. By default all statuses are selected.

Row status

Specifies the exported data range by row status. Rows having selected statuses will be included in the export package. By default all but Do Not Translate statuses are selected.

Duplicate strings

Specifies how the duplicated strings are exported. Possible options are:

Export all strings | Exports all duplicated strings. (Default)
Export strings that have different properties | Export those duplicated strings that have different properties.
Export only the first string | Export only the first occurrence of duplicated string.

Sort data

Specifies if exported data is sorted by string value. By default the option is not selected.

Languages

Specifies the languages to include in the export package. Use the Control key to select multiple languages. By default all the languages are exported.


Exchange Wizard - Delivery Method

Exchange Wizard is used for sending a part of Multilizer project to a translator. The translations are sent in the same format as Multilizer project, so no context information is lost. User can decide either to send all translations or a part. Translations are sent either as a compressed Multilizer package file (MLP) or along with Multilizer Translator Edition setup (EXE).

This sheet lets you select the delivery method of the export package. The possible values are:

Create a File

Press Create a File to create an exchange file.

Upload to a Service

Press Upload to a Service to upload exchange package to the translation service. This option is enabled only for service providers under Multilizer Service Provider agreement.


Exchange Wizard - Languages and Items

Use this page to select the languages and items you want to send to the translator.

Note! You have to have at least one language and one item selected before continuing.

Languages

One or more languages need to be selected.

Items

By default all Multilizer project rows are sent for translation. You can exclude the targets and nodes which should not be added.


Exchange Wizard - Strings

Exchange Wizard - Translations and Rows

Use this page to specify the strings you want to send to the translator.

Translation status

Specifies the status of the included strings. Possible values are:

Ready strings | Include strings marked as ready.
QA completed strings | Include strings marked as QAed.
Translated strings | Include strings marked as translated.
Auto translated strings | Include strings marked as auto translated.
Best guess strings | Include strings marked as best guess.
Not ready and un-translated strings | Include strings marked as not ready and strings that are un-translated.

Row status

Specifies the row status of included strings. Possible values are:

Strings in use | Include strings that are marked as in use row status.
New strings | Include strings that are marked as new string row status
Do not translate marked strings | Include strings that are marked as do not translate row status.
Changed strings | Include strings that are marked as changed row status.
Unused strings | Include strings that are marked as unused row status.

Duplicate strings

Specifies how duplicated strings are shown in exchange package. Possible options are:

Show all strings | Show all duplicated strings.
Show the first string and all the other strings having customized properties | Show the first string and all those having customized properties (e.g. size or position).
Show only the first string | Show only the first string of duplications.


Exchange Wizard - Information

Use this page to specify the exchange package information.

Package name

Specifies the package visible name.

Description

Specifies the package description.

Author

Specifies the author name of the package.

Password

You can encrypt the exchange package with a password. Please enter the password in the Password field and confirm it by re-entering the password to the Retype password field.

Note! MULTILIZER uses the ZIP file encryption method. If you loose your password it is impossible to open the exchange package with MULTILIZER .


Exchange Wizard - Application

The package contains

The project file

If selected MULTILIZER includes the project file in the exchange package.

With this option Exchange Wizard will create a Multilizer Package file (MLP).

The project file and MULTILIZER Translator Edition setup

If selected MULTILIZER includes the project file and the MULTILIZER Translator Edition setup files to the exchange package.

With this option Exchange Wizard will create a single-file setup that installs Multilizer Translator Edition and unpacks translations in installation folder. Upon running Multilizer Translator Edition the project is opened automatically, and translator can start working immediately.

The project file and MULTILIZER Translator Edition Pro setup

If selected MULTILIZER includes the project file and the MULTILIZER Translator Edition Pro setup files with serial number in the exchange package.

With this option Exchange Wizard will create a single-file setup that installs Multilizer Translator Edition Pro and unpacks translations in installation folder. Upon running Multilizer Translator Edition Pro the project is opened automatically, and translator can start working immediately.

Select the items that will be added to the package

Target files

If selected MULTILIZER includes the files referred in the targets to the package (e.g. Delphi executable).

Localization Guide online manual

If selected MULTILIZER includes the online manual in the package.


Exchange Wizard - Include Files

Use this page to include external files, such as manuals, in the exchange package.


Exchange Wizard - Package File

Use this page to specify the exchange package file name (e.g. c:\project\exchange.mlp).

The filename depends on whether a MLP package is being created or a Multilizer Translator Edition [Pro] setup. See: Exchange Wizard - Application.


Exchange Wizard - Create Package

MULTILIZER will now create the exchange package file. After the file is created you can send it to the translator.

Click Finish to close the Exchange Wizard.


Languages

The Languages dialog lets you add and remove languages to the project.

Available languages

Available languages contain a list of available languages and sub-languages. Add a language by dragging it to the Selected languages list or by double clicking the language.

Normally you only add country neutral languages (e.g. German) to the project. A single neutral language can support all the sub languages of the language. For example a single German language will suffice for German (Germany), German (Austria) and German (Switzerland).

However, sometimes the words or at least the spelling of the words differ between the sub languages of the same language. For example, United States spell some words differently. In such cases you can add a language and a sub-language for the same language. For example add English language first and then the United States locale second. Then if there is a translation in English (United States) language that value will be used, otherwise the English (neutral) translation value.

If the Available languages list does not contain the language that you want to use, you have to add the language to the System languages list. Choose Tools | Languages and Locales menu to open Languages and Locales dialog box that lets you add new languages and locales.

Selected languages

The list contains selected languages for the project. You have to have at least one selected language before proceeding. You can remove a language from the project by selecting and pressing the Remove button or the Del key.

For example if you are going to support English, American English, German and French choose English first, followed by English (United States), German and French. Your project will contain five columns (Native, English, English (United States), German and French).

You can add more languages later by choosing Project | Languages.

Edit Selected Language

You can edit a selected language by pressing the Edit... button. This will open a Language dialog where you can edit for example, the country, encoding and font settings of the language.


Language Properties - Language

Language

Specifies the language.

Script

Specifies the script the language uses.

Country

Specifies the country. This lets you specify a country dependent language. “Neutral” means that the language is country independent. For example if the language is “German”, the sub-language combo-box contains “Neutral”, “Austria”, “Germany”, “Liechtenstein”, “Luxembourg”, and “Switzerland”.


Language Properties - Font

Use the default font

Use the script default font for this language.

Size

Specifies the custom font size.


Language Properties - Pseudo Translation - None

No test is attached to the language.


Language Properties - Pseudo Translation - Cover

Every native character is replaced with a replace character. This tests for missed or hard coded strings.

Replace every character with

Type the character that is used as the replacing character.


Language Properties - Pseudo Translation - Minimum

Every native string is replaced with a single character. This tests that the user interface works for minimum length strings.

Reduction

The native string can be reduced in two ways:

Reduce strings to the first character in the string | Writes the first character of the native string to the language column.
Reduce strings to the custom string | Writes the custom string to the language column.


Language Properties - Pseudo Translation - Pseudo Language

Every native string is extended and/or altered to simulate general European string extension and character diacritics. This tests the ability of the user interface to handle European languages.

This dialog is used when the language is a European language.

Options

Specifies the characters that are used in the test strings. You can check one or more following options:

Expand

The string is expanded. For example "Sample" becomes "Sample________X". This can be used to test that the user interface handles longer translations correctly. In many cases English is shorted that other languages. The expansion depends on the length of the native string.

Enclose

The string is enclosed in braces. For example "Sample" becomes "{Sample}". This can be used to test that both the beginning and the end of the string are visible.

Alternate case

Character case is alternated. For example "Sample" becomes "SaMpLe".

Upper case

Character case is changed. For example "Sample" becomes "SAMPLE".

Diacritics

Diacritics are added to the characters. For example "Sample" becomes "Sämplé". This can be used to test that the user interface handles diacritic and accented characters correctly.

Expand characters

Specifies the expansion characters used.

Expand

Specifies the expand character.

Last

Specifies the last character

These are used only if the Expand check box in the Options group is checked.

Expand percentage

Specifies the expansion percentage.

Native length (in characters) | Test length (in characters)
1...5 | The native string is expanded by 200 percent. For example the word "red" that is three characters long is expanded to nine characters, "red_____X"
6...10 | The native string is expanded by 100 percent.
11...20 | The native string is expanded by 70 percent.
21...30 | The native string is expanded by 50 percent.
31...50 | The native string is expanded by 30 percent.
over 50 | The native string is expanded by 20 percent.

These are used only if the Expand check box in the Options group is checked.

The above expanding percentages may seem to be quite high. In many cases the translated words or phrases in other languages are only slightly longer than in English. But there always exist translations that are much longer than the English one. For example the word "red" is only three characters in English but eight characters ("punainen") in Finnish.


.NET Assembly Target

File

Specifies the .NET assembly file (e.g. c:\project\project.exe).

Project

Project file name Optional

Specifies the .NET project file name (e.g. c:\project\project.vbproj).

Scan images and icons

Scan the image data from the project.

Set RightToLeft property

Set the component RightToLeft property automatically.

Mirror forms

[UNFINISHED]

Private resources in satellite assemblies

Mark the resources private in satellite assemblies.

Al parameters Optional

Specify here any optional parameters to be added as Assembly Linker parameter.

This option can be used sign the assembly, for instance. Or to give satellite assembly version information.

Language parameter Optional

Specifies the language parameter when MULTILIZER runs the localized application. Default value is -lang:<native>.

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Fonts

Localize fonts

Specifies when and how MULTILIZER localizes the fonts for each script. The font localization algorithm is following. If the user has given a translated font in the project grid Multilizer uses that font. Otherwise the default font replacement is used. This combo box is used to specify how the default font replacement works:

Never | Do not change untranslated fonts at all.
When the native <script> font is <name> and size is <size> | Change the untranslated font if the font name and size match the default font of the script.
When the native <script> font is <name> | Change the untranslated font if the font name matches the name of default font of the script.
Always | Change the untranslated always.

Each script has its own default font. For example the default font of Latin script is MS Sanf Serif 8. If you want to use some other font as the default font you can always specify the localized font in the project grid.

Fonts to be used

Specifies the name and size of the default font for each script in project languages.

IME

The Far Eastern languages use input method editors (IME) to enter ideographs. Components/controls that allow entering of text contain ImeMode property that controls what is the mode of the IME when the control has the input focus. By default MULTILIZER does not change the property values. You can change them in two ways. The first one is to set a value in the project grid. This only affects to that control only. The second one is to turn on the automatic input method localization. Following combo boxes let you turn in to. MULTILIZER uses the automatic input method localization only if there are no translation given in the project grid.

Default Simplified Chinese input method

Specifies the default input method when creating Simplified Chinese output files. This is enabled only if the project contains Simplified Chinese.

Default Traditional Chinese input method

Specifies the default input method when creating Traditional Chinese output files. This is enabled only if the project contains Traditional Chinese.

Default Japanese input method

Specifies the default input method when creating Japanese output files. This is enabled only if the project contains Japanese.

Default Korean input method

Specifies the default input method when creating Korean output files. This is enabled only if the project contains Korean.

Properties

Specifies the list of property names that are not scanned from the target.


Visual Studio .NET Resource Target

Use the .NET Resource Target dialog box to specify a .NET resource file or files to be localized.

File

Type the file name (e.g. c:\project\test.resx), or press the ... button to browse a file.

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Comments

Specifies if MULTILIZER writes comments of the native resource file(s) to the localized file(s).

Empty lines

Specifies if MULTILIZER writes empty lines of the native resource file(s) to the localized file(s).

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Properties

Specifies the list of property names that are not scanned from the target.


C#Builder and Delphi .NET Project Target

Project file

Type the project or solution file name (e.g. c:\project\project.bdsproj), or press the "..." button to browse to a file.

Settings

Scan images

Scan the image data from the project.

Set RightToLeft property

Set the component RightToLeft property automatically.

Mirror forms

[UNFINISHED]

Compile the resource files

Compile the resource files when building localized file(s).

Create the satellite assemblies

Create the satellite assemblies when building localized file(s).

Private resources in satellite assemblies

Mark the resources private in satellite assemblies.

Delete the localized .resx files after the build process

Specifies if MULTILIZER deletes the created .resx files after the build.

Delete the localized .resources files after the build process

Specifies if MULTILIZER deletes the created .resources files after the build.

Al parameters

Specify here any optional parameters to be added as Assembly Linker parameter.

This option can be used sign the assembly, for instance. Or to give satellite assembly version information.

Language parameter

Specifies the language parameter when MULTILIZER runs the localized application. Default value is -lang:<native>.

Fonts

Localize fonts

Specifies when and how MULTILIZER localizes the fonts for each script. The font localization algorithm is following. If the user has given a translated font in the project grid Multilizer uses that font. Otherwise the default font replacement is used. This combo box is used to specify how the default font replacement works:

Never | Do not change untranslated fonts at all.
When the native <script> font is <name> and size is <size> | Change the untranslated font if the font name and size match the default font of the script.
When the native <script> font is <name> | Change the untranslated font if the font name matches the name of default font of the script.
Always | Change the untranslated always.

Each script has its own default font. For example the default font of Latin script is MS Sanf Serif 8. If you want to use some other font as the default font you can always specify the localized font in the project grid.

Fonts to be used

Specifies the name and size of the default font for each script in project languages.

IME

The Far Eastern languages use input method editors (IME) to enter ideographs. Components/controls that allow entering of text contain ImeMode property that controls what is the mode of the IME when the control has the input focus. By default MULTILIZER does not change the property values. You can change them in two ways. The first one is to set a value in the project grid. This only affects to that control only. The second one is to turn on the automatic input method localization. Following combo boxes let you turn in to. MULTILIZER uses the automatic input method localization only if there are no translation given in the project grid.

Default Simplified Chinese input method

Specifies the default input method when creating Simplified Chinese output files. This is enabled only if the project contains Simplified Chinese.

Default Traditional Chinese input method

Specifies the default input method when creating Traditional Chinese output files. This is enabled only if the project contains Traditional Chinese.

Default Japanese input method

Specifies the default input method when creating Japanese output files. This is enabled only if the project contains Japanese.

Default Korean input method

Specifies the default input method when creating Korean output files. This is enabled only if the project contains Korean.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Properties

Specifies the list of property names that are not scanned from the target.

Exclude files

By default MULTILIZER scan all files belonging to the project. If you want to disable the scanning of certain files add them to the ignore list.


C#Builder and Delphi .NET Project Group Target

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Settings

Scan images

Scan the image data from the project.

Set RightToLeft property

Set the component RightToLeft property automatically.

Mirror forms

[UNFINISHED]

Compile the resource files

Compile the resource files when building localized file(s).

Create the satellite assemblies

Create the satellite assemblies when building localized file(s).

Private resources in satellite assemblies

Mark the resources private in satellite assemblies.

Delete the localized .resx files after the build process

Specifies if MULTILIZER deletes the created .resx files after the build.

Delete the localized .resources files after the build process

Specifies if MULTILIZER deletes the created .resources files after the build.

Al parameters

Specify here any optional parameters to be added as Assembly Linker parameter.

This option can be used sign the assembly, for instance. Or to give satellite assembly version information.

Language parameter

Specifies the language parameter when MULTILIZER runs the localized application. Default value is -lang:<native>.

Fonts

Localize fonts

Specifies when and how MULTILIZER localizes the fonts for each script. The font localization algorithm is following. If the user has given a translated font in the project grid Multilizer uses that font. Otherwise the default font replacement is used. This combo box is used to specify how the default font replacement works:

Never | Do not change untranslated fonts at all.
When the native <script> font is <name> and size is <size> | Change the untranslated font if the font name and size match the default font of the script.
When the native <script> font is <name> | Change the untranslated font if the font name matches the name of default font of the script.
Always | Change the untranslated always.

Each script has its own default font. For example the default font of Latin script is MS Sanf Serif 8. If you want to use some other font as the default font you can always specify the localized font in the project grid.

Fonts to be used

Specifies the name and size of the default font for each script in project languages.

IME

The Far Eastern languages use input method editors (IME) to enter ideographs. Components/controls that allow entering of text contain ImeMode property that controls what is the mode of the IME when the control has the input focus. By default MULTILIZER does not change the property values. You can change them in two ways. The first one is to set a value in the project grid. This only affects to that control only. The second one is to turn on the automatic input method localization. Following combo boxes let you turn in to. MULTILIZER uses the automatic input method localization only if there are no translation given in the project grid.

Default Simplified Chinese input method

Specifies the default input method when creating Simplified Chinese output files. This is enabled only if the project contains Simplified Chinese.

Default Traditional Chinese input method

Specifies the default input method when creating Traditional Chinese output files. This is enabled only if the project contains Traditional Chinese.

Default Japanese input method

Specifies the default input method when creating Japanese output files. This is enabled only if the project contains Japanese.

Default Korean input method

Specifies the default input method when creating Korean output files. This is enabled only if the project contains Korean.

Properties

Specifies the list of property names that are not scanned from the target.


C++Builder Target

Specifies the C++Builder binary file target options.

File

Specifies the windows binary file (e.g. c:\project\project.exe).

Project

Scan images from the form data

Scan the images from the project forms. If this is checked Multilizer scans the embedded image data from the form. For example TImage stores the actual image data into the form.

Set BiDiMode property

Set the BiDiMode property of components on Right-to-Left languages. If this is checked Multilizer changes the BiDiMode property value when creating a Middle Eastern output file. If the original value is bdLeftToRight, Multilizer changes this to bdRightToLeft. This is applied only if ParentBiDiMode property is false.

Mirror forms

Mirror the form layout on Right-to-Left languages. If this is checked Multilizer mirrors the form and its sub components when creating a Middle Eastern output file.

Disable scaling

Set the TForm.Scaled property to False. This disables the built-in form scaling of VCL. When VCL loads a form it checks if the runtime height of the font is different to the designtime height of the form. If it is VCL scales the components on the form. Unfortunately it does not scale the width and height of the form excluding the case when BorderStyle property is bsDialog. This may cut off some of the components. To prevent this disable form scaling.

Scale forms

Another solution is to make Multilizer to scale the width and height of the form. Check this to increase or decrease the TForm.Width and TForm.Height value of the forms in the localized output files to match the VCL runtime scaling.

Unfortunately the built-in VCL scaling is always based on runtime fonts of the OS where the application is running. Therefore scaling on the developers computer might be different than the actual runtime scaling.

Ignore

Do not change the Scaled, Width or Height properties.

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Output files

Specifies what types of output files MULTILIZER will create. Possible options are:

Localized files

Create a separate file for each language in the project. For example if the original file is Sample.exe and the project contains German and French, Multilizer creates de\Sample.exe and fr\Sample.exe. These files equal to the original file except the resource data has been translated.
Resource files

Create localized resource files. The resource file is a resource-only DLL that contains the translated resource data of the original file. For example if the original file is Sample.exe and the project contains German and French, Multilizer creates Sample.DE and Sample.FR.

Resource files follow Borland Delphi/C++Builder architecture of localizing software. The VCL takes care of handling the resource files; the VCL tries load a resource file matching the language settings of the OS. If there is no suitable resource file, the resource data is loaded from the executable.

MULTILIZER ships with a localization API for DElphi/C++Builder developers. It extends the localization possibilities of software being localized with this kind of output files.

Multilingual file Create a one multilingual executable containing all the languages in the project. The output directory is all. For example if the original file is Sample.exe, Multilizer creates all\Sample.exe that contains resources in each language of the project.

Resource file options

Specifies how the resource files should be treated. Possible options are:

Copy all the resources | Copy all the resources to the localized resource files. If this is unchecked Multilizer copies only those resource that have been localized to the resource file.
Write to root directory | Create the resource DLLs to the root directory of the project. If this is unchecked Multilizer creates the resource DLLs to a language specific subdirectory.
Embedded resource file | Create a output file that contains all the resource files embedded in the executable file. This makes it possible to create a single EXE that supports several languages and the language can be switched on run time. The output directory is emb.

Output directory

Specifies the directory where the localized files will be created. This is the directory where Multilizer creates the localized output files and sub directories. You can control the name of the localized files and directories by setting Type, Coding, Locale separator and Country separator.

Fonts

Localize fonts

Specifies when and how MULTILIZER localizes the fonts for each script. The font localization algorithm is following. If the user has given a translated font in the project grid Multilizer uses that font. Otherwise the default font replacement is used. This combo box is used to specify how the default font replacement works:

Never | Do not change untranslated fonts at all.
When the native <script> font is <name> and size is <size> | Change the untranslated font if the font name and size match the default font of the script.
When the native <script> font is <name> | Change the untranslated font if the font name matches the name of default font of the script.
Always | Change the untranslated always.

Each script has its own default font. For example the default font of Latin script is MS Sanf Serif 8. If you want to use some other font as the default font you can always specify the localized font in the project grid.

Fonts to be used

Specifies the name and size of the default font for each script in project languages.

IME

The Far Eastern languages use input method editors (IME) to enter ideographs. Components/controls that allow entering of text contain ImeMode property that controls what is the mode of the IME when the control has the input focus. By default MULTILIZER does not change the property values. You can change them in two ways. The first one is to set a value in the project grid. This only affects to that control only. The second one is to turn on the automatic input method localization. Following combo boxes let you turn in to. MULTILIZER uses the automatic input method localization only if there are no translation given in the project grid.

Default Simplified Chinese input method

Specifies the default input method when creating Simplified Chinese output files. This is enabled only if the project contains Simplified Chinese.

Default Traditional Chinese input method

Specifies the default input method when creating Traditional Chinese output files. This is enabled only if the project contains Traditional Chinese.

Default Japanese input method

Specifies the default input method when creating Japanese output files. This is enabled only if the project contains Japanese.

Default Korean input method

Specifies the default input method when creating Korean output files. This is enabled only if the project contains Korean.

Resources

Specifies the resource types to be scanned from the target. The list contains all the resource types found from the Windows binary file. If you want to disable localization of a specific resource uncheck the resource type check box. This will make MULTILIZER use the original resource data in the localized output files.

MULTILIZER adds by default all resources to a project, which makes the project bigger and harder to maintain. Unchecking resources that don't need localization will decrease the size of MULTILIZER project.

The most important resources in localizing a Delphi/C++Builder executable are Form resource and String resource; these resources contain strings that require localization.


Database Target

Database

Specifies the database connection method. Select the type of the database and then based on your selection one or more of following settings:

Directory/URL/Alias/Connection string

Enter the database address. This is either a directory, URL, alias or a connection string depending on the selected database type.

Parameters

Enter the extra connection parameters of the database.

Connect

Press the connection button in order to make a connection to the database.

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Fields

Specifies the localizable tables and fields. Use the mouse to drag and drop the tables and fields and/or right click the mouse button to set the field types.

See MULTILIZER manual to learn more about database localization techniques.

Settings

On target scan

Specifies the (SQL) update options when scanning the database. Possible options are:

Never update project rows | Does not update target rows when scanning.
Always update project rows | Updates all target rows when scanning.
Update only project empty rows | Updates only target empty rows when scanning.

When building incomplete database rows

Specifies how MULTILIZER should handle incomplete row writing. Possible options are:

Use native | Copy the native value to the field.
Use empty string | Write the empty string to the field.
Skip row | Skip the row and does not write anything.


Delphi Target

Specifies the Delphi binary file target options.

File

Specifies the windows binary file (e.g. c:\project\project.exe). This file must be a valid Windows PE file created by Delphi compiler. If you use any post linker tools such as compresser or encrypter do not apply the tool for this file but the localized output files created by Multilizer.

Project

DRC file name

Specifies the Delphi DRC file (e.g. c:\project\project.drc). When Delphi compiler compiles a resource string it assigns an id for the string. If you add a new resource string anywhere into the application or delete an exinting one, the compiler will give most resource strings a new id. This may cause loss of translations or a wrong translation to be assigned into existing string. To prevent this Multilizer should not use the string ids as the resource context but the resource string variable names (e.g. SMyString). These remain constant during the application development. The DRC file contains maps from resource string variable to the resource string id.

Scan images from the form data

Scan the images from the project forms. If this is checked Multilizer scans the embedded image data from the form. For example TImage stores the actual image data into the form.

Set BiDiMode property

Set the BiDiMode property of components on Right-to-Left languages. If this is checked Multilizer changes the BiDiMode property value when creating a Middle Eastern output file. If the original value is bdLeftToRight, Multilizer changes this to bdRightToLeft. This is applied only if ParentBiDiMode property is false.

Mirror forms

Mirror the form layout on Right-to-Left languages. If this is checked Multilizer mirrors the form and its sub components when creating a Middle Eastern output file.

Disable scaling

Set the TForm.Scaled property to False. This disables the built-in form scaling of VCL. When VCL loads a form it checks if the runtime height of the font is different to the designtime height of the form. If it is VCL scales the components on the form. Unfortunately it does not scale the width and height of the form excluding the case when BorderStyle property is bsDialog. This may cut off some of the components. To prevent this disable form scaling.

Scale forms

Another solution is to make Multilizer to scale the width and height of the form. Check this to increase or decrease the TForm.Width and TForm.Height value of the forms in the localized output files to match the VCL runtime scaling.

Unfortunately the built-in VCL scaling is always based on runtime fonts of the OS where the application is running. Therefore scaling on the developers computer might be different than the actual runtime scaling.

Ignore

Do not change the Scaled, Width or Height properties.

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Output files

Specifies what types of output files MULTILIZER will create. Possible options are:

Localized files

Create a separate file for each language in the project. For example if the original file is Sample.exe and the project contains German and French, Multilizer creates de\Sample.exe and fr\Sample.exe. These files equal to the original file except the resource data has been translated.
Resource files

Create localized resource files. The resource file is a resource-only DLL that contains the translated resource data of the original file. For example if the original file is Sample.exe and the project contains German and French, Multilizer creates Sample.DE and Sample.FR.

Resource files follow Borland Delphi/C++Builder architecture of localizing software. The VCL takes care of handling the resource files; the VCL tries load a resource file matching the language settings of the OS. If there is no suitable resource file, the resource data is loaded from the executable.

MULTILIZER ships with a localization API for DElphi/C++Builder developers. It extends the localization possibilities of software being localized with this kind of output files.

Multilingual file Create a one multilingual executable containing all the languages in the project. The output directory is all. For example if the original file is Sample.exe, Multilizer creates all\Sample.exe that contains resources in each language of the project.

Resource file options

Specifies how the resource files should be treated. Possible options are:

Copy all the resources | Copy all the resources to the localized resource files. If this is unchecked Multilizer copies only those resource that have been localized to the resource file.
Write to root directory | Create the resource DLLs to the root directory of the project. If this is unchecked Multilizer creates the resource DLLs to a language specific subdirectory.
Embedded resource file | Create a output file that contains all the resource files embedded in the executable file. This makes it possible to create a single EXE that supports several languages and the language can be switched on run time. The output directory is emb.

Output directory

Specifies the directory where the localized files will be created. This is the directory where Multilizer creates the localized output files and sub directories. You can control the name of the localized files and directories by setting Type, Coding, Locale separator and Country separator.

Fonts

Localize fonts

Specifies when and how MULTILIZER localizes the fonts for each script. The font localization algorithm is following. If the user has given a translated font in the project grid Multilizer uses that font. Otherwise the default font replacement is used. This combo box is used to specify how the default font replacement works:

Never | Do not change untranslated fonts at all.
When the native <script> font is <name> and size is <size> | Change the untranslated font if the font name and size match the default font of the script.
When the native <script> font is <name> | Change the untranslated font if the font name matches the name of default font of the script.
Always | Change the untranslated always.

Each script has its own default font. For example the default font of Latin script is MS Sanf Serif 8. If you want to use some other font as the default font you can always specify the localized font in the project grid.

Fonts to be used

Specifies the name and size of the default font for each script in project languages.

IME

The Far Eastern languages use input method editors (IME) to enter ideographs. Components/controls that allow entering of text contain ImeMode property that controls what is the mode of the IME when the control has the input focus. By default MULTILIZER does not change the property values. You can change them in two ways. The first one is to set a value in the project grid. This only affects to that control only. The second one is to turn on the automatic input method localization. Following combo boxes let you turn in to. MULTILIZER uses the automatic input method localization only if there are no translation given in the project grid.

Default Simplified Chinese input method

Specifies the default input method when creating Simplified Chinese output files. This is enabled only if the project contains Simplified Chinese.

Default Traditional Chinese input method

Specifies the default input method when creating Traditional Chinese output files. This is enabled only if the project contains Traditional Chinese.

Default Japanese input method

Specifies the default input method when creating Japanese output files. This is enabled only if the project contains Japanese.

Default Korean input method

Specifies the default input method when creating Korean output files. This is enabled only if the project contains Korean.

Resources

Specifies the resource types to be scanned from the target. The list contains all the resource types found from the Windows binary file. If you want to disable localization of a specific resource uncheck the resource type check box. This will make MULTILIZER use the original resource data in the localized output files.

MULTILIZER adds by default all resources to a project, which makes the project bigger and harder to maintain. Unchecking resources that don't need localization will decrease the size of MULTILIZER project.

The most important resources in localizing a Delphi/C++Builder executable are Form resource and String resource; these resources contain strings that require localization.


Visual Basic Project Target

Embedded Visual Basic Project Target

Use this dialog to specify the Embedded Visual Basic project target options.

Project file

Specifies the Visual Basic project file (e.g. c:\projects\project1.ebp).

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Exclude files

By default MULTILIZER scan all files belonging to the project. If you want to disable the scanning of certain files add them to the ignore list.


INI File Target

File

Specifies the INI file (e.g. c:\project\project.ini).

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Keys

Use this tab page to select the keys you want to localize.

Click Select All to check all the keys. Click Unselect all to clear selection. Click View file to open the file in default INI editor.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Properties

Ignore white spaces after the separator

If checked MULTILIZER ignores the white spaces on the key value after the separator character. Example: key= value -> key=value


Java Binary Target

File

Specifies the Java binary file (e.g. c:\project\project.jar).

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Runtime

Main class

Specifies the main class name (e.g. project1.Application).

Emulator parameters

Specifies the emulator parameters.


Java Resource Target

File

Specifies the Java resource file (e.g. c:\project\project.properties).

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Comments

If checked MULTILIZER copies the comments to the localized property files. By default no comments are copied to the localized versions.

Empty lines

If checked MULTILIZER copies the empty lines to the localized property files. By default empty lines are stripped from the localized versions.

Exclude files

By default MULTILIZER scan all files belonging to the project. If you want to disable the scanning of certain files add them to the ignore list.


JBuilder Target

File

Specifies the JBuilder project file (e.g. c:\project\project.jpx).

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Exclude files

By default MULTILIZER scan all files belonging to the project. If you want to disable the scanning of certain files add them to the ignore list.


Key File Target

File

Specifies the key file name (e.g. c:\project\project.txt)

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Format

Delimiter

Specifies the delimiter character between the key and the value.

Comment string

Specifies the string mark of line comment.

Ignore lines

Specifies the number of lines to ignored from the beginning of the file.


ReportBuilder Target

File

Specifies the ReportBuilder file (e.g. c:\projects\project1.rtm).

Note! The rtm file must be in binary format. So before attempting to localize it, ensure that file format is ftBinary.

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Fonts

Localize fonts

Specifies when and how MULTILIZER localizes the fonts for each script. The font localization algorithm is following. If the user has given a translated font in the project grid Multilizer uses that font. Otherwise the default font replacement is used. This combo box is used to specify how the default font replacement works:

Never | Do not change untranslated fonts at all.
When the native <script> font is <name> and size is <size> | Change the untranslated font if the font name and size match the default font of the script.
When the native <script> font is <name> | Change the untranslated font if the font name matches the name of default font of the script.
Always | Change the untranslated always.

Each script has its own default font. For example the default font of Latin script is MS Sanf Serif 8. If you want to use some other font as the default font you can always specify the localized font in the project grid.

Fonts to be used

Specifies the name and size of the default font for each script in project languages.


Source Code File Target

File

Specifies the source code file name (e.g. c:\project\MainForm.cpp).

Encoding

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Language

Programming language

Specifies the programming language that the source code file uses. Multilizer tries to detect the language. If the detection result is not correct select the right one from the list. If the language or a compatible is not in the list select Custom source and enter the string delimiter and comment characters.

Show source code as WYSIWYG to translators

Specifies if WYSIWYG editor is displayed or not.

Tags

Use this sheet to control what strings are translated from the source file(s). The tags are single line comments.

Comment tags

Use the comment tag to give a comment or maximum translation length for the string value. The syntax is <comment start><tag>[comment string][MaxChars=cc] [MaxPixels=pp] where comment start is the single line comment character (e.h. "//"), tag is the tag string (e.g. mlz), cc is the maximum length of the translation in characters and pp is the maximum length of the translation is pixels.

For example the following Delphi line contains a comment and maximum length of 20 characters:

str := 'This is a string'; //mlz This is a comment MaxChars=20

Exclude tags

If you want to disable localization of certain string, add an exclude tag on the same line where the string is located.

For example the following Delphi line contains a comment and maximum length of 20 characters:

str := 'Do not localize me'; //nomlz

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.


Visual Basic Binary Target

Use this dialog to specify the Visual Basic binary file target options.

File

Specifies the Visual Basic binary file (e.g. c:\projects\project1.exe).

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Output directory

Specifies the directory where the localized file will be created.

Output files

Specifies what types of output files MULTILIZER will create. Possible options are:

Localized files | Create own file for each language in the project.
Resource files | Create localized resource files.
Multilingual file | Create a one multilingual executive containing all the languages in the project.

Resource file options

Specifies how the resources should be treated. Possible options are:

Copy all the resources | Copy all the resources to the localized resource files.
Write to root directory | Copy all the resources to the root directory of the project.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Resources

Specifies the resource types to be scanned from the target. The list contains all the resource types found from the Windows binary file. If you want to disable localization of a specific resource uncheck the resource type check box. This will make MULTILIZER use the original resource data in the localized output files.

MULTILIZER adds by default all resources to a project, which makes the project bigger and harder to maintain. Unchecking resources that don't need localization will decrease the size of MULTILIZER project.


ReportBuilder Target

Visual Basic Form Target

File

Specifies the Visual Basic form file (e.g. c:\projects\project1.frm).

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Fonts

Localize fonts

Specifies when and how MULTILIZER localizes the fonts for each script. The font localization algorithm is following. If the user has given a translated font in the project grid Multilizer uses that font. Otherwise the default font replacement is used. This combo box is used to specify how the default font replacement works:

Never | Do not change untranslated fonts at all.
When the native <script> font is <name> and size is <size> | Change the untranslated font if the font name and size match the default font of the script.
When the native <script> font is <name> | Change the untranslated font if the font name matches the name of default font of the script.
Always | Change the untranslated always.

Each script has its own default font. For example the default font of Latin script is MS Sanf Serif 8. If you want to use some other font as the default font you can always specify the localized font in the project grid.

Fonts to be used

Specifies the name and size of the default font for each script in project languages.


Visual Basic Project Target

Use this dialog to specify the Visual Basic project target options.

Project file

Specifies the Visual Basic project file (e.g. c:\projects\project1.vbp).

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Exclude files

By default MULTILIZER scan all files belonging to the project. If you want to disable the scanning of certain files add them to the ignore list.


Visual Studio .NET Project Target

Project file

Type the project or solution file name (e.g. c:\project\project.vbproj), or press the "..." button to browse a file.

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Settings

Scan images

Scan the image data from the project.

Set RightToLeft property

Set the component RightToLeft property automatically.

Mirror forms

[UNFINISHED]

Compile the resource files

Compile the resource files when building localized file(s).

Create the satellite assemblies

Create the satellite assemblies when building localized file(s).

Private resources in satellite assemblies

Mark the resources private in satellite assemblies.

Delete the localized .resx files after the build process

Specifies if MULTILIZER deletes the created .resx files after the build.

Delete the localized .resources files after the build process

Specifies if MULTILIZER deletes the created .resources files after the build.

Al parameters

Specify here any optional parameters to be added as Assembly Linker parameter.

This option can be used sign the assembly, for instance. Or to give satellite assembly version information.

Language parameter

Specifies the language parameter when MULTILIZER runs the localized application. Default value is -lang:<native>.

Fonts

Localize fonts

Specifies when and how MULTILIZER localizes the fonts for each script. The font localization algorithm is following. If the user has given a translated font in the project grid Multilizer uses that font. Otherwise the default font replacement is used. This combo box is used to specify how the default font replacement works:

Never | Do not change untranslated fonts at all.
When the native <script> font is <name> and size is <size> | Change the untranslated font if the font name and size match the default font of the script.
When the native <script> font is <name> | Change the untranslated font if the font name matches the name of default font of the script.
Always | Change the untranslated always.

Each script has its own default font. For example the default font of Latin script is MS Sanf Serif 8. If you want to use some other font as the default font you can always specify the localized font in the project grid.

Fonts to be used

Specifies the name and size of the default font for each script in project languages.

IME

The Far Eastern languages use input method editors (IME) to enter ideographs. Components/controls that allow entering of text contain ImeMode property that controls what is the mode of the IME when the control has the input focus. By default MULTILIZER does not change the property values. You can change them in two ways. The first one is to set a value in the project grid. This only affects to that control only. The second one is to turn on the automatic input method localization. Following combo boxes let you turn in to. MULTILIZER uses the automatic input method localization only if there are no translation given in the project grid.

Default Simplified Chinese input method

Specifies the default input method when creating Simplified Chinese output files. This is enabled only if the project contains Simplified Chinese.

Default Traditional Chinese input method

Specifies the default input method when creating Traditional Chinese output files. This is enabled only if the project contains Traditional Chinese.

Default Japanese input method

Specifies the default input method when creating Japanese output files. This is enabled only if the project contains Japanese.

Default Korean input method

Specifies the default input method when creating Korean output files. This is enabled only if the project contains Korean.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Properties

Specifies the list of property names that are not scanned from the target.

Exclude files

By default MULTILIZER scan all files belonging to the project. If you want to disable the scanning of certain files add them to the ignore list.


Visual Studio .NET Solution Target

File

Type the project or solution file name (e.g. c:\project\project.sln), or press the "..." button to browse a file.

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Settings

Scan images

Scan the image data from the project.

Set RightToLeft property

Set the component RightToLeft property automatically.

Mirror forms

[UNFINISHED]

Compile the resource files

Compile the resource files when building localized file(s).

Create the satellite assemblies

Create the satellite assemblies when building localized file(s).

Private resources in satellite assemblies

Mark the resources private in satellite assemblies.

Delete the localized .resx files after the build process

Specifies if MULTILIZER deletes the created .resx files after the build.

Delete the localized .resources files after the build process

Specifies if MULTILIZER deletes the created .resources files after the build.

Al parameters

Specify here any optional parameters to be added as Assembly Linker parameter.

This option can be used sign the assembly, for instance. Or to give satellite assembly version information.

Language parameter

Specifies the language parameter when MULTILIZER runs the localized application. Default value is -lang:<native>.

Fonts

Localize fonts

Specifies when and how MULTILIZER localizes the fonts for each script. The font localization algorithm is following. If the user has given a translated font in the project grid Multilizer uses that font. Otherwise the default font replacement is used. This combo box is used to specify how the default font replacement works:

Never | Do not change untranslated fonts at all.
When the native <script> font is <name> and size is <size> | Change the untranslated font if the font name and size match the default font of the script.
When the native <script> font is <name> | Change the untranslated font if the font name matches the name of default font of the script.
Always | Change the untranslated always.

Each script has its own default font. For example the default font of Latin script is MS Sanf Serif 8. If you want to use some other font as the default font you can always specify the localized font in the project grid.

Fonts to be used

Specifies the name and size of the default font for each script in project languages.

IME

The Far Eastern languages use input method editors (IME) to enter ideographs. Components/controls that allow entering of text contain ImeMode property that controls what is the mode of the IME when the control has the input focus. By default MULTILIZER does not change the property values. You can change them in two ways. The first one is to set a value in the project grid. This only affects to that control only. The second one is to turn on the automatic input method localization. Following combo boxes let you turn in to. MULTILIZER uses the automatic input method localization only if there are no translation given in the project grid.

Default Simplified Chinese input method

Specifies the default input method when creating Simplified Chinese output files. This is enabled only if the project contains Simplified Chinese.

Default Traditional Chinese input method

Specifies the default input method when creating Traditional Chinese output files. This is enabled only if the project contains Traditional Chinese.

Default Japanese input method

Specifies the default input method when creating Japanese output files. This is enabled only if the project contains Japanese.

Default Korean input method

Specifies the default input method when creating Korean output files. This is enabled only if the project contains Korean.

Properties

Specifies the list of property names that are not scanned from the target.


Windows Binary Target

Use this dialog to specify the Windows binary file target options.

File

Specifies the windows binary file (e.g. c:\windows\notepad.exe).

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Output directory

Specifies the directory where the localized file will be created.

Output files

Specifies what types of output files MULTILIZER will create. Possible options are:

Localized files | Create own file for each language in the project.
Resource files | Create localized resource files.
Multilingual file | Create a one multilingual executive containing all the languages in the project.

Resource file options

Specifies how the resources should be treated. Possible options are:

Copy all the resources | Copy all the resources to the localized resource files.
Write to root directory | Copy all the resources to the root directory of the project.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Fonts

Localize fonts

Specifies when and how MULTILIZER localizes the fonts for each script. The font localization algorithm is following. If the user has given a translated font in the project grid Multilizer uses that font. Otherwise the default font replacement is used. This combo box is used to specify how the default font replacement works:

Never | Do not change untranslated fonts at all.
When the native <script> font is <name> and size is <size> | Change the untranslated font if the font name and size match the default font of the script.
When the native <script> font is <name> | Change the untranslated font if the font name matches the name of default font of the script.
Always | Change the untranslated always.

Each script has its own default font. For example the default font of Latin script is MS Sanf Serif 8. If you want to use some other font as the default font you can always specify the localized font in the project grid.

Fonts to be used

Specifies the name and size of the default font for each script in project languages.

Resources

Specifies the resource types to be scanned from the target. The list contains all the resource types found from the Windows binary file. If you want to disable localization of a specific resource uncheck the resource type check box. This will make MULTILIZER use the original resource data in the localized output files.

MULTILIZER adds by default all resources to a project, which makes the project bigger and harder to maintain. Unchecking resources that don't need localization will decrease the size of MULTILIZER project.


Windows Resource Target

File

Specifies the windows resource file (e.g. c:\projects\project1.rc).

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.


XML Target

File

Specifies the XML file (e.g. c:\project\project.xml).

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Keep original format

Retain the XML file original format in localized files.

Remove leading and trailing white spaces

Remove the extra white spaces from the elements.

Localized files

Create own file for each language in the project.

Multilingual file

Create one multilingual file containing all the languages in the project.

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.

Tags

Specifies the localized elements of XML file.

Click Select All to check all the elements. Click Unselect all to clear selection. Click View file to open the file in default XML viewer.

Segmentation

Break each sentence of a paragraph into its own segment

If selected each sentence of a paragraph is segmented.

Sentence delimiters

Specifies the delimiters that tells MULTILIZER when to break sentence into its own segment.

Exceptions

Specifies the exceptions of sentence delimiters (e.g. never break if number is before dot).

Import

Import segmentation rules from a file.

Export

Export segmentation rules to the file.

XML

Add xml:lang element

Specifies how MULTILIZER generate the xml:lang attribute. Possible options are:

None | No attribute is generated.
Root element | Attribute is generated to the root element.
Localized elements | Attribute is generated to every localized element.


XLIFF Target

File

Specifies the XLIFF file (e.g. c:\project\project.xlf).

Encodings

Native language

Specifies the native language that is used in the target. Set this to match the language in the original user interface. If the original user interface contains two or more languages mixed, set the language to most widely used.

Default language

Specifies the default language. It is the language that is used in the build process, if there is no translation given in the the build language. The translation search order is following: first the build languages, then the country neutral languages (if the build language is country specific), then the default language. If no translation is found then the native value is used. For example if the project contains English, German and German (Austria) and the build language is German (Austria) and the default language is English the search order is German (Austria) - German - English - native.

Native encoding

Specifies the native encoding that is used in the target with each character set.

Encoding list

Contains the encodings to be used in the localized files. To change the value right click the line and select a new value.

Output

Output directory

Specifies the directory where the translated project file(s) will be created.

Type

Specifies how and where MULTILIZER creates the localized file version(s). Possible options are:

Sub directory | Create localized file(s) in sub directories based on language and locale.
Bundle name | Include the language and locale information in the bundle name.
File extension | Replace the original file extension with language and locale information.

Coding

Selects file name initial coding style. Possible values are:

MULTILIZER | MULTILIZER coding style.
ISO | ISO standard coding style.
.NET | Microsoft .Net coding style.
Windows | Windows coding style.

Locale separator

Specifies the separator character for locale. Note! This option is not enabled with all combinations of coding and type.

Language separator

Specifies the separator character for language. Note! This option is not enabled with all combinations of coding and type.


Validation Options

Use this dialog to set the validation options.

Types

Specifies the validation types. Check validations from the list you want to apply to the project.

Press All to check all validations. Press None to uncheck all validations.

Missing translation

Check if there are any missing translations.

Inconsistent format string

Check that same formatting strings (arguments) are present both in native string and translation.

Invalid amount of new lines

Check that the same numbers of new line characters are both in native string and translation.

Invalid amount of white spaces

Check that both the native string and translation include the same numbers of white spaces at string start and end.

Missing tab

Check that both native string and translation have the same number of tabs.

Missing periods

Check that both native string and translation include the same number of periods at the end of the string.

Missing colon

If native string includes a colon at the end, the translation should also. This is important, because label captions generally should include colon, and corresponding buttons should not. If native software follows these guidelines, this validation ensures good consistency in translated software too.

Inconsistent hotkey

Check that if hotkey is specified in the native value the translated value has to have hotkey as well and vice versa.

Invalid hotkey character

Check that the hotkey is given to the valid character (e.g. not to the tab or line feed character).

Invalid hotkey position

Check that the hotkey position is valid (e.g. hotkey marker is not at the end of string).

Duplicate form hotkey

Check that dialog has no duplicated hotkeys.

Overlapping controls

Check that the controls on the forms and dialogs are not overlapping (e.g. button is not under the text field).

Unmapped component

Software created in component-based developing tools (Visual Basic, .NET, and Delphi/C++Builder) can include 3rd-party components that contain localizable information. In order to localize these, they need to be mapped in Multilizer. This validation informs, if there are any component that need to be mapped.

Report

Check the Generate report checkbox if you want to create a validation report.

File name

Specifies the file name of the report (e.g. c:\project\report.xml).

View report immediately

Open the report after MULTILIZER has created it.

Options

Allows you to include legend to the report.
© 2005 Multilizer Inc. www.multilizer.com All rights reserved.


Project Options - Settings

Use this sheet to specify the project settings. Project settings are applied to all targets in the project.

Exclude strings that contain only the following characters

MULTILIZER excludes the strings that contain only the characters listed in the edit box. Separate list characters with a white space. For instance specifying '0123456789' in the list will prevent MULTILIZER from adding strings in the project that contain only digits.

Use exclude characters

Specifies if the exclude character list is to be used or not.

Add control chars to the list

If checked MULTILIZER includes control characters (ASCII value < 32) to the Exclude strings list.

Add white space to the list

If checked MULTILIZER includes the white space character to the Exclude strings list.

Validation symbols

These symbols are used in 'Missing symbol' validation. Specifying a symbol here will make validation check that translations include the same symbols are the original (native) string. This is useful for instance in the use of copyright characters.

Project is in translate only mode

If checked the project is in translate only mode.

In translate only mode you can only translate the project strings and edit the WYSIWYG control properties. Other functions e.g. adding a new target is not allowed.


Project Options - Summary

Use this sheet to edit project information.

Author

Any string that describes the author of the project. This is optional.

Organization

Any string that describes the organization of the author. This is optional.

Description

Any string that describes the project. This is optional.


Grid Columns

Select the columns that are shown in the translation grid. Available columns are:

Static Columns
Index | Item index number on selected Project Tree node.
Kind | Item data type (e.g. String, Image, Color, Font, etc.).
Component | Component class name if any.
Property | Component property name if any.
Context | Item context information indicates the position of the item in localizable target.
Native | Item native value in localizable target.
Editable Columns
<Languages> | Item translated value for selected language.
Comment | Row and language specific comment text. Apply to edited language only.
Row Comment | Row specific comment text. Apply to all languages.
Status | Item translation status (Not Ready (empty), Best Guess, Auto translated, Translated, QAed, or Ready). Change the translation status value manually from main menu: Row | Toggle Translation Status .
Row Status | Row status value. Status can be New (default for all new items), Unused, In Use, or Changed. Change the row status value from main menu: Row | Status.
Max Characters | Item maximum length in characters. Change the max characters value from main menu: Row | Max Characters.
Max Pixels | Item maximum length in pixels. Change the max pixels value from main menu: Row | Max Pixels.
Message String | Item string value is used in message or string formatting function in target application. Cell value can be Yes, No, or Automatic (empty). Change the Message string status from main menu: Row | Message String.


Grid Languages

Select the project languages that are shown in the translation grid.


Grid Types

Select which types of resources are shown in the translation grid. Available types are:

Bitmaps | Bitmap images
Boolean values | Boolean values (True/False)
Colors | Color definitions
Floating point numbers | Plain floating point numbers
Integer numbers | Plain integer numbers
Images | Images (e.g. JPEG's or GIF's)
Short cuts | Short cut definitions
Strings | Plain string values
Fonts | Font definitions


Grid Filter

Use this dialog to specify the view filter of the translation grid.

Data Types

Specifies the filter by data types.

Translation Statuses

Specifies the filter by translation statuses.

Priorities

Specifies the filter by priorities.

Priorities can be set to nodes in project tree.

Row Statuses

Specifies the filter by row statuses.

Others

Do not translate

Specifies the filter by translatability status.

Text

Text filters are applied based on text content aither in Native column, Translation, or both.

Custom

Filter

This filter is extremely powerful in detecting strings that have been translated differently. When this filter is applied, there shouldn't be any other filtering, in order to avoid confusion.


Find Text

Use this dialog to find text form the translation grid.

Text to find

Specifies the text to find.

Options

Case sensitive

Search the text in case sensitive mode.

Whole words only

Search whole words only.

Direction

Down

Search forward from the cursor.

Up

Search backwards from the cursor.

Scope

Selected column

Search from the selected column only.

All columns

Search from all columns visible.

Origin

From cursor

Search starting from the cursor.

Entire scope

Search starting from the beginning of the scope.
© 2005 Multilizer Inc. www.multilizer.com All rights reserved.


Replace Text

Text to find

Specifies the text to find.

Replace with

Specifies the text to replace with.

Options

Case sensitive

Search the text in case sensitive mode.

Whole words only

Search whole words only.

Prompt on replace

Prompt user before replacing text.

Direction

Down

Search forward from the cursor.

Up

Search backwards from the cursor.

Scope

Selected column

Search from the selected column only.

All columns

Search from all columns visible.

Origin

From cursor

Search starting from the cursor.

Entire scope

Search starting from the beginning of the scope.
© 2005 Multilizer Inc. www.multilizer.com All rights reserved.


Grid Options

This dialog controls the translation grid options.

Font

Specifies the grid font name and size.

Options

Auto commit

Auto commits the changes to the cell when selection changes.

Auto edit

Cell will be in edit mode when it receives focus.

Auto IME

Turn on Input Method Editor if a far-eastern language is to be edited.

Auto keyboard

Turn on language specific keyboard layout automatically depending on what language is being edited.

Hide selection

Hide the selection rectangle from the grid cell.

Show graphic name

Show graphic element name in the grid.

Show hidden characters

Show hidden or non printable characters (e.g. Enter or Tab characters).

Show hint

Show hint texts.

Show row status

Show row status column on the far left on the grid editor.

Highlight long translations

Indicate long translations compared to the native value by changing the background color of the cell.

Threshold

Specifies the long translation threshold in per cent. Example: With threshold value 20 all the cells that are 20 per cent longer or higher comparing to the native value will be highlighted.


Grid Row Properties

General

Shows the general info of the selected row such as row index, row kind, source item, context information, translation status and comment.

Translation

Shows the native and the translation for the selected language.


Excluded Contexts

This dialog shows the contexts of rows that have been excluded from Multilizer project. (In the grid, "Exclude context...").

  • Use Remove or Remove All to remove context(s) from the list, in order to add the row back to Multilizer project.
  • Use Export... to export the lists of excluded contexts in a XML file.
  • Use Import... to import contexts. The file format must be the same as the one created with Export.

More info:

The structure of the context is the following for file type of targets:
[path]filename.<uniqueid>
path is optional*, uniqueid consists of any combination of the following (depends on target type): component name, property name, namespace, section header, node name, etc.
*Path information is not available, if the target is in the same directory as Multilizer project.


Excluded Natives

This dialog shows the native strings of rows that have been excluded from Multilizer project. (In the grid, "Exclude native...").

  • Use Remove or Remove All to remove native string(s) from the list, in order to add the row back to Multilizer project.
  • Use Export... to export the lists of excluded natives in a XML file.
  • Use Import... to import natives. The file format must be the same as the one created with Export.


Component Properties

Specifies the WYSIWYG component properties for selected language.


Graph Align

Specifies the alignment of the WYSIWYG components. Alignment can have following parameters:

No change | No change to the component alignment.
Left sides | Aligns component left sides.
Centers | Aligns component centers.
Right sides | Aligns component right sides.
Space equally | Aligns component equally to the space.
Center in window | Aligns component center in the window.

Horizontal

Specifies the horizontal alignment of the components.

Vertical

Specifies the vertical alignment of the components.


Size

Specifies the WYSIWYG component size.

Width

Specifies the component width. Select one of the following options:

No change | Do not change the component width.
Shrink to smallest | Shrinks the component to the smallest possible width.
Grow to largest | Grows the component to the largest possible width without overlapping other components.
Width | Specifies the width in pixels.

Height

Specifies the component height. Select one of the following options:

No change | Do not change the component height.
Shrink to smallest | Shrinks the component to the smallest possible height.
Grow to largest | Grows the component to the largest possible height without overlapping other components.
Height | Specifies the height in pixels.


Graph Grid

Specifies the graph and graph grid options.

Grid

Display grid

Specifies if the grid is shown.

Snap to

Specifies if WYSIWYG components are automatically aligned in a grid.

X size

Specifies the grid X-axle size in pixels.

Y size

Specifies the grid Y-axle size in pixels.

Options

Auto bounds

If checked graph component height and width is adjusted automatically to fit the translation.

Can reduce

If checked graph component heights and widths can be reduced compared to the native values.

Read only

If checked the graph component cannot be edited.

Show bounds

If checked graph shows blue boundaries around components, if size or position properties have been changed. Blue boundary colors are applied as follows:

Left | Control has been moved horizontally.
Top | Control has been moved vertically
Right | Control width has been modified.
Bottom | Control height has been modified.

Show components

If checked graph shows the non-WYSIWYG components as well. Non-WYSIWYG components are those that are shown in development environments (e.g., Visual Studio or Delphi) but not in the compiled software executable.

Show status

If checked status of the control is shown with a dot in the same way as corresponding row status in the translation grid:

Blue dot | Control has been removed from original software.
Red dot | Control's text has been changed in original software.
Yellow dot | Control has been added.

For more info, c.f. "Row statuses" chapter in Multilizer manual.


Graph Options

Specifies the WYSIWYG options.

Grid

Display grid

Specifies if the grid is shown.

Snap to

Specifies if WYSIWYG components are automatically aligned in a grid.

X size

Specifies the grid X-axle size in pixels.

Y size

Specifies the grid Y-axle size in pixels.

Options

Auto bounds

If checked graph component height and width is adjusted automatically to fit the translation.

Can reduce

If checked graph component heights and widths can be reduced compared to the native values.

Read only

If checked the graph component cannot be edited.

Show bounds

If checked graph shows blue boundaries around components, if size or position properties have been changed. Blue boundary colors are applied as follows:

Left | Control has been moved horizontally.
Top | Control has been moved vertically
Right | Control width has been modified.
Bottom | Control height has been modified.

Show components

If checked graph shows the non-WYSIWYG components as well. Non-WYSIWYG components are those that are shown in development environments (e.g., Visual Studio or Delphi) but not in the compiled software executable.

Show status

If checked status of the control is shown with a dot in the same way as corresponding row status in the translation grid:

Blue dot | Control has been removed from original software.
Red dot | Control's text has been changed in original software.
Yellow dot | Control has been added.

For more info, c.f. "Row statuses" chapter in Multilizer manual.


Select Target

Use this dialog to select the target type you want to add to the project.


Tree Options

Tree Options dialog lets you configure project tree view behavior.

Font

Specifies the target tree display font.

Options

Auto expand

If checked tree nodes are automatically expanded.

Hide selection

If checked, selected item is not highlighted in the project tree.


Languages and Locales

The Languages and Locales dialog box lets you edit the system languages and locales of MULTILIZER .

The system languages are used to create the language lists that are shown whenever a language should be selected. By default the program contains all known locales of the most recent Windows operating system. You can add languages and locales using this dialog box.

Edit

Press the Edit button to edit the selected language or locale. The Language dialog box or Locale dialog box will appear. The dialog can be used to change the properties of the selected language or locale.

Remove

Press the Remove button to delete the selected language or locale.

Clone

Press the Clone button to make a copy of the selected locale. The Locale dialog box will appear. The program copies the field values from the selected locale to the dialog. Change the Country code and press OK.

Copy

Press the Copy button to copy the selected locale to the private clipboard of the dialog.

Paste

Press the Paste button to paste the copied locale from the private clipboard of the dialog.

New Language

Press the New Language button to add a new language. The Language dialog will appear. All the field values of the dialog are initially empty. Set the values and press OK.

New Locale

Press the New button to add a new locale to the selected language. The Locale dialog box will appear. All the field values of the dialog are initially empty. Set the values and press OK.

Update

Updates the system locales to contain all the locales the system contains. Press this button if you have upgraded your operating system to a version that might contain support for new locales.

Export

Press the Export button to export languages and locales to the selected file using the MULTILIZER Language and Locale file format.

Import

Press the Import button to import language and locale information. The application can import data from the following file formats:

.mll | MULTILIZER Language and Locale file.
.mll | Language Manager Locale file. This text file contains the locales and languages that Language Manager uses. The file extension is the same as MULTILIZER Language and Locale file but the file is not an XML file. This file format was used by MULTILIZER 4.x.
.mld | MULTILIZER Dictionary file. This binary file contains the translation, languages and locales of a multilingual application.

Clear

Press the Clear button to remove all languages and locales.


Language - Codes and Names

ISO codes

Specifies the language code. The code contains three parts that are:

Language

Specifies the ISO-639 language codes.

Script

Specifies the script that the language uses. The script list contains all the scripts currently supported by the most recent Windows operating system. Some languages such as Azeri, Chinese, Serbo-Croatian and Uzbek can be written using two different scripts. In these cases both languages contain the same language code but different script values.

Variant

Specifies the language variant. This makes is possible to create a language sibling. There are many reasons to create a language sibling. Some language such Norwegian actually have two different languages: Bokmål and Nynorsk. To make a difference between these MULTILIZER uses NYNORSK variant when dealing with Nynorsk. Also there exists the modern Spanish sorting order that uses MOD variant. Using variants you can also create profession- related languages such Engineering English, Medical English, Business English, etc.

Combined language, script and variant id generate a unique language id.
Examples:

Language | Script | Variant | Description
en | Latin |  | English
en | Latin | medical | Medical slang of English
en | Latin | engineering | Engineering slang of English
fi | Latin |  | Finnish
fi | Latin | savo | Finnish dialect Savo

Windows codes

Windows does not deal with ISO language codes but uses its own NLS language ids and code pages.

Primary language id specifies the NLS primary language id that the language uses. If the program can find a primary language id match for the selected language code, this combo box is disabled. If not, you have to select or enter a custom language id. This value has to be between 0x200 and 0x3FF. The values from 0 to 0x200 have been reserved for the LANG_XXX ids specified by Microsoft.

Code page specifies the Windows code page that the language uses. Windows might contain several code pages for one script. In such case the code page contains several code pages.

Windows code specifies a two-character code. It is used, for example, as a file extension when creating resource DLL's.

English names

Language specifies the English name of the language (e.g. Finnish, German)

Variant specifies the English name of the variant (e.g. Nynorsk).

Native names

Language specifies the name of the language in its own language (e.g. suomi, Deutsch).

Variant specifies the name of the variant in its own language (e.g. nynorsk).

Enabled

Set this to enable the language. If the language is disabled it won’t show up in the language and locale lists.


Language - Other

Symbian

This group contains the Symbian- related properties of the language. If you localize Symbian applications make sure that these settings are correct.

Language id

Specifies the Symbian language id.

Installation language code

Specifies the code that is used in the Symbian installation packages. Select the value from the list or type the value.

Palm language id

Specifies the language id used in Palm applications.

Oracle language code

Specifies the language code used in Oracle Forms applications. Select the value from the list or type the value.


Locale - Codes

Use the Code tab of the Locale dialog to set the locale codes and the script of the locale.

ISO codes

Language

Language name

Script

Character script the language and locale used.

Variant

Variant name.

Country

Specifies the country. MULTILIZER uses ISO-3166 country codes. Select the value from the list or type the value.

Windows codes

Primary

Primary language id.

Code page

Windows code page the language and locale use.

Sub language id

Specifies the sub language (country). If the program finds a sub language id match for the selected country code, this combo box is disabled. If not, you have to select or enter a custom sub language id. This value has to be between 0x20 and 0x3F. The values from 0 to 0x20 have been reserved to the SUBLANG_XXX ids specified by Microsoft.

Enabled

Set this to enable the locale. If the locale is disabled it won’t show up in the language and locale lists.


Locale - Names

English names

Contain the language and country names in English.

For example "Finnish" and "Finland".

Native names

Contain the language and country names in the language of the locale.

For example "suomi" and "Suomi".


Locale - Days

Enter the full and abbreviated names of weekdays in the language of the locale. The maximum length of an abbreviated name is 4 characters.


Locale - Months

Enter the full and abbreviated names of months in the language of the locale. The maximum length of an abbreviated name is 4 characters.


Locale - Time

Specifies the time formats used by this locale.


Locale - Date

Specifies the date formats used by this locale.

In the following table, specifiers are given in lower case. Case is ignored in formats.

Specifier | Displays
c | Displays the date using the format given by the ShortDateFormat global variable, followed by the time using the format given by the LongTimeFormat global variable. The time is not displayed if the date-time value indicates midnight precisely.
d | Displays the day as a number without a leading zero (1-31).
dd | Displays the day as a number with a leading zero (01-31).
ddd | Displays the day as an abbreviation (Sun-Sat) using the strings given by the ShortDayNames global variable.
dddd | Displays the day as a full name (Sunday-Saturday) using the strings given by the LongDayNames global variable.
ddddd | Displays the date using the format given by the ShortDateFormat global variable.
dddddd | Displays the date using the format given by the LongDateFormat global variable.
e | Displays the year in the current period/era as a number without a leading zero (Japanese, Korean and Taiwanese locales only).
ee | Displays the year in the current period/era as a number with a leading zero (Japanese, Korean and Taiwanese locales only).
g | Displays the period/era as an abbreviation (Japanese and Taiwanese locales only).
gg | Displays the period/era as a full name. (Japanese and Taiwanese locales only).
m | Displays the month as a number without a leading zero (1-12). If the m specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.
mm | Displays the month as a number with a leading zero (01-12). If the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.
mmm | Displays the month as an abbreviation (Jan-Dec) using the strings given by the ShortMonthNames global variable.
mmmm | Displays the month as a full name (January-December) using the strings given by the LongMonthNames global variable.
yy | Displays the year as a two-digit number (00-99).
yyyy | Displays the year as a four-digit number (0000-9999).
/ | Displays the date separator character given by the DateSeparator global variable.
'xx'/"xx" | Characters enclosed in single or double quotes are displayed as-is, and do not affect formatting.


Locale - Numbers

Specifies the number formats used by this locale.


Locale - Calendar

Specifies the calendar formats used by this locale.


Translation Memories

Use this dialog to manage the MULTILIZER application Translation Memories.

General

Save translations to the Translation Memory

Specifies when MULTILIZER saves the translations to the Translation Memory. Possible options are:

By command (File | Save To Translation Memory) | Translations are saved manually by command (File | Save To Translation Memory)
Prompted when saving the project | MULTILIZER asks for the user to save the translations every time the project is saved.
Automatically when saving the project | MULTILIZER saves the translations automatically every time the project is saved.

Save the strings if the status is greater or equal to

Specifies the string status of the translations that are saved to the Translation Memory.

Max translation count

Specifies the maximum number of translations per matched native returned by the Translation Memory.

Overwrite the current string

Specifies when MULTILIZER overwrites the existing translation in the Translation Memory. Possible options are:

Never | Existing translations are never overwritten.
If the status is less or equal to | Overwrites if existing translation status is less or equal to the given status.
Prompt before overwrite | Prompts before overwriting existing string.
Always | Existing translations are always overwritten.

Log the overwritten values

If selected MULTILIZER creates a log of overwritten values.

Connect/Disconnect

Connects to/disconnects the selected Translation Memory.

  • If the Translation Memory is located on a RDBMS engine it requires a valid user name and password to log into the database.
  • If the Translation Memory is multi-user it requires a valid TM user name and password. The default user is "multilizer" and the password is "multilizer". Passwords are case-sensitive.

Set as Default

Sets the current Translation Memory as default. The default Translation Memory is the one to which Multilizer will connect at start-up. Upon installation the default Translation Memory is the Embedded DBISAM Translation Memory.

Add

Adds a new Translation Memory to the list.

Remove

Removes the selected Translation Memory from the list. Note: removing a Translation Memory does not remove it physiacally from the database where it is located. The Translation Memory is removed only from the list.

TM Manager

If the TMManager application is installed, this button launches it. Upon start-up the TMManager will connect to the selected Translation Memory with the same user name and password.

Documents

Specifies the list of documents imported to the Translation Memory. Use Add and Remove buttons to manage the documents.

Block Words List

Specifies the list of blocked words for given language.

Language

Specifies the language of the visible blocked word list.

New word

Specifies the new word value.

Use the Add, Remove, Clear and Import to manage the blocked words.

Match settings

Specifies the Translation Memory concordance options.

Close-to match

If selected the Translation Memory looks up strings that have the same words. Capitalization, punctuation and special characters are ignored.

Matching percentage

Specifies a threshold percentage, in order to control how similar strings have to be.

Block words with frequency over

If checked the translation memory will ignore words that are appearing with the specified frequency.

Use local maps

Toggle on/off the usage of local maps for fuzzy matching.

Attempt also bi-directional translation

If checked the translation memory attempts to find also translations that were originally stored as native.

Use translations whose status is greater or equal to

Define the minimum status for a translation to be used by the Translation Memory

Users

This page is available only for multi-user Translation Memories. When available it lets you manage the Translation Memory users.

The default user name is "multilizer" and the default password is "multilizer". It is advicable to change the password of the default user the first time you log in.

Add

Adds a new user to the Translation Memory. Note: user names are not case-sensitive so "user" and "User" will be treated as the same user. Password instead are case-sensitive.

Remove

Removes the selected user from the Translation Memory. Removing a user passes all the user's owned objects like documents and segments to the current user.
Note: the builtin user "multilizer" cannot be removed.

Edit

Edits the selected user.
Note: for the builtin user "multilizer" only the password can be edited

Set as Default

Sets the selected user as the default user. The default user is the one that will be logged upon connecting to the Translation Memory.

Maintenance

Specifies the Translation Memory maintenance options and tools.

Clear

Clear the entire Translation Memory contents.

Backup

Backup the Translation Memory contents to the file.

Restore

Restore a Translation Memory from a file. Restoring a backup will erase all existing data in the Translation Memory.

Repair

Repair the Translation Memory data structure. This option should be used only in extreme cases, such as the impossibility to connect or repeated errors when using this translation memory.

Change password

Let the current user change his/her password.

Import 5.1 TM

Imports a MULTILIZER 5.1 Translation Memory into the current Translation Memory.

Statistics

Generates statistics for the current Translation Memory.
© 2005 Multilizer Inc. www.multilizer.com All rights reserved.


New Translation Memory

Name

Specifies the name of the Translation Memory.

Language

Specifies the native language of the Translation Memory.

Multi-user

If selected the Translation Memory is multi-user enabled.

Use fuzzy-matching

If selected the Translation Memory uses fuzzy-matching.

Database

Specifies the database connection information.


Options

Specifies the MULTILIZER application and localization environment common options.

Translation Memory specific options are located at Tools->Translation Memories...


Options - Environment - Settings

Use this page to set the general settings of the MULTILIZER application.

Settings

Default directory

Specifies the default work directory of MULTILIZER . This directory location is the starting point when specifying the files to localize in Project Wizard.

Default native language

Specifies the default native language of the targets that are added to a Multilizer project. This native language is applied to targets for which Multilizer can't detect the language (such as a text file).

Detect native language

If checked MULTILIZER tries to detect the native language automatically from the target.

User interface language

Specifies the MULTILIZER application user interface language.

Restore

Project

If checked MULTILIZER restores the previous project when opening the program.

Desktop

If checked MULTILIZER restores the desktop settings when opening the program.

Other

Enable screen tips

If checked the screen tips are shown. The tips contain extra information about the user interface. When hovering above an item MULTILIZER shows the tip in a popup window.

Show log form

If checked MULTILIZER shows log in a separate window when scanning or building.

Realtime log

If checked MULTILIZER updates the log realtime when running the process.

Show Tip of the Day dialog

If checked MULTILIZER shows a Tip of the Day dialog when opening the program.

Create backup project file

If checked the old project file (.MPR) will be renamed to .~MPR before overwriting the file.

File associations

MULTILIZER project file

If checked MULTILIZER associates the .mpr files to the program. After this double-clicking Multilizer project in Windows Explorer will open the project in Multilizer.

MULTILIZER package file

If checked MULTILIZER associates the .mlp files to the program. After this double-clicking Multilizer package in Windows Explorer will open the package in Multilizer.


Options - Environment - Tree

Use this page to set the project tree options.

Font

Specifies the project tree display font.

Options

Auto expand

If checked tree nodes are automatically expanded.

Hide selection

If checked, selected item is not highlighted in the project tree.


Options - Environment - Grid

Use this page to set the translation grid options.

Font

Specifies the grid display font.

Options

Auto commit

Auto commits the changes to the cell when selection changes.

Auto edit

Cell will be in edit mode when it receives focus.

Auto IME

Turn on Input Method Editor if a far-eastern language is to be edited.

Auto keyboard

Turn on language specific keyboard layout automatically depending on what language is being edited.

Hide selection

Hide the selection rectangle from the grid cell.

Show graphic name

Show graphic element name in the grid.

Show hidden characters

Show hidden or non printable characters (e.g. Enter or Tab characters).

Show hint

Show hint texts.

Show row status

Show row status column on the far left on the grid editor.

Highlight long translations

Indicate long translations compared to the native value by changing the background color of the cell.

Threshold

Specifies the long translation threshold in per cent. Example: With threshold value 20 all the cells that are 20 per cent longer or higher comparing to the native value will be highlighted.


Options - Environment - Log

Use this page to set the log window options.

Font

Specifies the log window display font.

Options

Hide selection

Hide the selected text highlight.


Options - Environment - Validate

Use this page to set the validate window options.

Font

Specifies the validate window display font.

Options

Hide selection

If checked, selected item is not highlighted.


Options - Environment - Statistics

Use this page to set the statistics window options.

Font

Specifies the statistics window display font.

Options

Show progress bar

Show statistics progress bar indicating how much translation job is done.


Options - Environment - Graph

Use this page to set WYSIWYG options.

Grid

Display grid

Displays dots on the form to make the grid visible.

Snap to

Automatically aligns components on the form with the nearest gridline. You cannot place a component "in between" gridlines.

X Size

Sets grid spacing in pixels along the x-axis. Specify a higher number to increase grid spacing.

Y Size

Sets grid spacing in pixels along the y-axis. Specify a higher number to increase grid spacing.

Options

Auto bounds

If checked graph component height and width is adjusted automatically to fit the translation.

Can reduce

If checked graph component heights and widths can be reduced compared to the native values.

Read only

If checked the graph component cannot be edited.

Show bounds

If checked graph shows blue boundaries around components, if size or position properties have been changed. Blue boundary colors are applied as follows:

Left | Control has been moved horizontally.
Top | Control has been moved vertically
Right | Control width has been modified.
Bottom | Control height has been modified.

Show components

If checked graph shows the non-WYSIWYG components as well. Non-WYSIWYG components are those that are shown in development environments (e.g., Visual Studio or Delphi) but not in the compiled software executable.

Show status

If checked status of the control is shown with a dot in the same way as corresponding row status in the translation grid:

Blue dot | Control has been removed from original software.
Red dot | Control's text has been changed in original software.
Yellow dot | Control has been added.

For more info, c.f. "Row statuses" chapter in Multilizer manual.


Options - Environment - Default Languages

Use this page to set the default languages for the project. The default languages will be automatically added to every new project created. Add the languages that you most often use to the Selected languages list.


Options - Environment - Status

Default Status on Modify

If enabled MULTILIZER marks edited strings automatically with the selected status. Possible status values are: Not ready, Best guess, Auto translated, Translates, QAed and Ready.

Default Status on Select

If enabled MULTILIZER marks selected strings automatically with the selected status. Possible status values are: Not ready, Best guess, Auto translated, Translates, QAed and Ready.

Note: This feature is aimed at QA persons that just click strings to change the status to QAed for example.

Default Status on Load

If enabled MULTILIZER marks loaded strings automatically with the selected status. Possible status values are: Not ready, Best guess, Auto translated, Translates, QAed and Ready.

Note: This feature should normally not be used.

Default Status on Import

If enabled MULTILIZER marks imported strings automatically with the selected status. Possible status values are: Not ready, Best guess, Auto translated, Translates, QAed and Ready.

Options

Auto clear comment

If checked MULTILIZER automatically clears the comments of strings when re-scanning the project.

Auto clear new

If checked MULTILIZER automatically clears the new status of strings when re-scanning the project.


Options - Environment- Translation

This page controls how items are translated when a dictionary or language is translated based on glossary strings.

Clear new string flags

Controls when the application clear the New String flag of the row.

By command (Project | Clear New String Flags)

MULTILIZER clears the flags when the user chooses Project | Clear New String Flags menu.

Automatically when rescanning the project

MULTILIZER clears the flags during the scan process. If smart scanning is used only those rows are cleared that belong to a target that is actually scanned.

Translate duplicate strings automatically

Check this if you want MULTILIZER to automatically translate all instances of the same native string. Automatically translated strings become 'Autotranslated' status, and you can edit translations afterwards in the correct context.


Options - .NET - Component Mappings

Options - .NET - Components

Component mapping is very important part of Multilizer configuration. It is used with platforms using components such as .NET, Delphi, C++Builder and Visual Basic. The purpose of the mapping is to give Multilizer information about the components that the applications use. When Multilizer scans the form resource and it finds a component it needs to know what kind of component it is reading. The component mappings tell this.

By default Multilizer contains mappings for all the standard component of the platform plus the most common 3rd party component. Multilizer can localize any other component as well even if has not been mapped. However if the component is unmapped Multilizer can not show it visually correct on the form editor but it shows the component and a yellow box having the class name. This is why you should map the 3rd party component library that you are using (if it has not been already mapped).

Each item in the component mappings contains a mapping information of one component. This information contains the following data:

Class name

The class name specified the class name of the component. For example the standard button component is TButton in VCL and System.Windows.Forms.Button in .NET.

Component

Multilizer component type (e.g. Button). Multilizer contain a collection of visual component type. Select the type that is best match to the component type. For example if the class name contains a button component (TMyButton) the best choice would be Button.

Properties

By default Multilizer extracts all string-typed properties and the properties that needs to be extract to get the visual information. Such kind of properties are for example left, top, width, height, color, font. reading order, IME. In most cases this is just enough to properly localize the component. However in some cases the component could contain a non-string-typed property that needs to be localized as well. For example the component might contains Mirrored property that controls the layout of the component. When localizing to a bi-directional language such as Arabic or Hebrew this property should be set True. To do that add the property name to the property list as an included property.

Some components contain string properties that should not be localized. For example most database components contain table name, SQL statements or connection strings. You can disable scanning of these properties by adding them to the properties list as an excluded property.


Options - .NET - Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


Options - .NET - Tools

In order to compile the localized resources MULTILIZER needs to know the location of the tools used by the .NET.

Assembly generation tool

Set the full path name of the assembly generation tools. Example: C:\WINDOWS\Microsoft.NET\Framework\v1.0.3705\AL.exe

Resource generation tool

Set the full path name of the resource generation tool. Example: C:\Program Files\Microsoft Visual Studio .NET\FrameworkSDK\Bin\ResGen.exe

Compact Framework resource generation tool

Set the full path name of the resource generation tool for .NET Compact Framework. Example: C:\Program Files\Microsoft Visual Studio .NET\CompactFrameworkSDK\Bin\CfResGen.exe

By pressing the Default button MULTILIZER tries to detect the location of the files.


Options - Delphi and C++Builder - Component Mappings

Options - Delphi and C++Builder - Components

Component mapping is very important part of Multilizer configuration. It is used with platforms using components such as .NET, Delphi, C++Builder and Visual Basic. The purpose of the mapping is to give Multilizer information about the components that the applications use. When Multilizer scans the form resource and it finds a component it needs to know what kind of component it is reading. The component mappings tell this.

By default Multilizer contains mappings for all the standard component of the platform plus the most common 3rd party component. Multilizer can localize any other component as well even if has not been mapped. However if the component is unmapped Multilizer can not show it visually correct on the form editor but it shows the component and a yellow box having the class name. This is why you should map the 3rd party component library that you are using (if it has not been already mapped).

Each item in the component mappings contains a mapping information of one component. This information contains the following data:

Class name

The class name specified the class name of the component. For example the standard button component is TButton in VCL and System.Windows.Forms.Button in .NET.

Component

Multilizer component type (e.g. Button). Multilizer contain a collection of visual component type. Select the type that is best match to the component type. For example if the class name contains a button component (TMyButton) the best choice would be Button.

Properties

By default Multilizer extracts all string-typed properties and the properties that needs to be extract to get the visual information. Such kind of properties are for example left, top, width, height, color, font. reading order, IME. In most cases this is just enough to properly localize the component. However in some cases the component could contain a non-string-typed property that needs to be localized as well. For example the component might contains Mirrored property that controls the layout of the component. When localizing to a bi-directional language such as Arabic or Hebrew this property should be set True. To do that add the property name to the property list as an included property.

Some components contain string properties that should not be localized. For example most database components contain table name, SQL statements or connection strings. You can disable scanning of these properties by adding them to the properties list as an excluded property.


Options - Delphi and C++Builder - Exluded Properties

By default Multilizer picks all strings from controls'/components' string properties. In Excluded Properties list you can specify the names of string properties that are not scanned.

Button Controls

Add

Add a new property name.

Edit

Edit property name.

Remove

Remove selected property.

Export

Export properties to the MULTILIZER Item File (.mli).

Import

Import property names from MULTILIZER Item File (.mli).


Options - Delphi and C++Builder - Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


Options - Java - J2ME

Use this sheet to specify the Java2 Micro Edition settings.

Emulator application

Specifies the J2ME emulator application executable file name.

Class path

Specifies the class path variable.

Pass the application class

Species how the application class is passed to the J2ME emulator. Possible options are to pass application class Directly as a command line parameter or Through a JAD file.

Language parameter

Some emulators supports the language parameter in command line. This option specifies whether to send the language parameter or not.

Emulator parameters

Specifies the extra parameters passed to the emulator when launching the application.


Options - Java - J2SE/J2EE

Virtual Machine

Specifies the java virtual machine executable that MULTILIZER uses to launch Java applications.


Options - Visual Basic - Component Mappings

Options - Visual Basic - Components

Component mapping is very important part of Multilizer configuration. It is used with platforms using components such as .NET, Delphi, C++Builder and Visual Basic. The purpose of the mapping is to give Multilizer information about the components that the applications use. When Multilizer scans the form resource and it finds a component it needs to know what kind of component it is reading. The component mappings tell this.

By default Multilizer contains mappings for all the standard component of the platform plus the most common 3rd party component. Multilizer can localize any other component as well even if has not been mapped. However if the component is unmapped Multilizer can not show it visually correct on the form editor but it shows the component and a yellow box having the class name. This is why you should map the 3rd party component library that you are using (if it has not been already mapped).

Each item in the component mappings contains a mapping information of one component. This information contains the following data:

Class name

The class name specified the class name of the component. For example the standard button component is TButton in VCL and System.Windows.Forms.Button in .NET.

Component

Multilizer component type (e.g. Button). Multilizer contain a collection of visual component type. Select the type that is best match to the component type. For example if the class name contains a button component (TMyButton) the best choice would be Button.

Properties

By default Multilizer extracts all string-typed properties and the properties that needs to be extract to get the visual information. Such kind of properties are for example left, top, width, height, color, font. reading order, IME. In most cases this is just enough to properly localize the component. However in some cases the component could contain a non-string-typed property that needs to be localized as well. For example the component might contains Mirrored property that controls the layout of the component. When localizing to a bi-directional language such as Arabic or Hebrew this property should be set True. To do that add the property name to the property list as an included property.

Some components contain string properties that should not be localized. For example most database components contain table name, SQL statements or connection strings. You can disable scanning of these properties by adding them to the properties list as an excluded property.


Options - Visual Basic - Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


Options - Windows - Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


This item has no associated menu topic.

Main View


Menu - Column - Fill Pseudo Translation

Column - Fill Pseudo Translation

Fill pseudo translation for the selected language. If the pseudo translation has not been set the Pseudo Translation dialog opens.

More info


Menu - Column

Column

Show the menu options for the active translation grid column.


Menu - Column - Properties

Column - Properties

Show the selected column properties.


Menu - Column - Pseudo Translation

Column - Pseudo Translation

Show the Pseudo Translation options dialog.


Menu - Column - Select All

Column - Select All

Select all items in selected column.


Menu - Column - Sort Asc

Column - Sort Ascending

Sort translation grid by selected column in ascending order.


Menu - Column - Sort Desc

Column - Sort Descending

Sort translation grid by selected column in descending order.


Menu - Column - Sort None

Column - Sort None

Clear sort for selected grid column.


Menu - Column - Translate - Duplicates

Column - Translate - Duplicates

Translate duplicated items in selected language.

This will translate all untranslated strings by using existing translations in project.


Menu - Column - Translate

Column - Translate

Specify the translation method for the selected language.


Menu - Column - Translate - Using Translation Memory

Column - Translate - Using Translation Memory

Translate selected language using the default Translation Memory.


Component dialog

Comment

Comment dialog allows adding and modifying of comments.

Comment can be either row-specific Row comment or translation-specific Translation comment.

  • If there is a row comment, the cell with native string has a small red triangle.
  • If there is a translation comment, the cell with translation has a small red triangle.

Note: Comments can be shown in the grid by selecting corresponding grid columns to be visible.

Comments are typically used in the following way:
Project Manager uses row comments for adding extra information about the string, such as context of the translations for example.
Translators read row comments, in order to know if there's any more information about the string being translated. If translator wants to add extra information about the translation he/she uses the translation comment.


Context Menu - Component - Clear New Status

Component - Clear New Status

Clear item new status.

New status (row status) is automatically given to the item when it is found for the first time from the scanned target. New status is marked in the grid margin with a yellow dot.


Context Menu - Component - Options

Component - Options

Open the component options dialog.


Context Menu - Component - Properties

Component - Properties

Open the component properties dialog.


Context Menu - Component - Revert

Component - Revert

Revert component properties (e.g. size and position) to the native values.


Context Menu - Component - Revert - All

Component - Revert - All

Revert all component properties (e.g. size and position) to the native values.


Context Menu - Component - Revert - Bounds

Component - Revert - Bounds

Revert component size and position properties to the native values.


Context Menu - Component - Revert - Color

Component - Revert - Color

Revert component color property to the native value.


Context Menu - Component - Revert - Text

Component - Revert - Text

Revert component text property to the native value.


Context Menu - Component - Status

Component - Status

Change component status flag. Status is changed in the following order: Not ready, Best guess, Auto translated, Translated, QAed, Ready.


Node Properties

Use this dialog to specify the target tree node properties.

Text

Specifies the node display text.

Description

Specifies the node description.


Context Menu - Tree - Add Target

Tree - Add Target

Add new target to the project without Target Wizard by selecting the target type directly.


Context Menu - Tree - Delete Target

Tree - Delete Target

Delete target permanently from the project.


Context Menu - Tree - New Target

Tree - New Target

Add new target to the project with Target Wizard.


Context Menu - Tree - Remove Target

Tree - Remove Target

Remove selected target from the project.


Project Report

Use this dialog to specify the document report options.

Page

Current page

If selected MULTILIZER creates the report for the current page only.

All pages

If selected MULTILIZER creates the report for all pages.

Language

Current language(s)

If selected MULTILIZER creates the report for the current language(s) only.

All languages

If selected MULTILIZER creates the report for all languages in the project.

Options

Include legend in the report

If checked MULTILIZER includes a legend in the report.

View the report after generation

If checked MULTILIZER opens the report file automatically after generation.

Save report to

Specifies the report file name and path.


Context Menu - Tree - Options

Tree - Options

Open the Tree Options dialog.


DRC File

Delphi resource file (.drc) is used by MULTILIZER to get the complete resource string context of the items. The information is useful for instance if you have inherited forms or controls in your Delphi project.


Menu - Edit - Clear

Edit - Clear

Clear selected cell context.


Menu - Edit - Copy

Edit - Copy

Copy cell value to the Clipboard.


Menu - Edit - Cut

Edit - Cut

Cut cell value to the Clipboard.


Menu - Edit - Find

Edit - Find

Find text from the translation grid. See: Find dialog


Menu - Edit

Edit

Edit items.


Menu - Edit - Next Untranslated Item

Edit - Next Untranslated Item

Jump to next untranslated item in the translation grid.


Menu - Edit - Paste

Edit - Paste

Paste value from the Clipboard to the selected cell.


Menu - Edit - Paste Native

Edit - Paste Native

Paste native value to the selected language cell.


Menu - Edit - Redo

Edit - Redo

Redo last action.


Menu - Edit - Replace

Edit - Replace

Find and replace values in the translation grid. See: Replace dialog


Menu - Edit - Search Again

Edit - Search Again

Search next item.


Menu - Edit - Undo

Edit - Undo

Undo last action.


Excluded Validations

This dialog shows the validations that have been excluded.

Excluding a validation means that the item is not validated when validating a Multilizer project.

  • Use Remove or Remove All to remove items from the list.


Export Wizard - XLIFF File Format

File name

Specifies the exported file name (e.g. c:\project\export.xlf).

Format

Character set

Specifies the character set of the file.

Version

Specifies the XLIFF version.

Write empty translations

Specifies if MULTILIZER writes the empty translations to the file.

Write comments

Specifies if MULTILIZER writes the translation comments to the file.

Data types

Specifies the available data types to be exported to the file.


Extract Resource DLL's

[UNFINISHED]


Menu - File - Close

File - Close

Close current project.


Menu - File - Exchange

File - Exchange

Create an exchange package to send data to the translators.


Menu - File - Exit

File - Exit

Exit application.


Menu - File - Export

File - Export

Export translations to the external file.


Menu - File - Import

File - Import

Import translations from an external source.


Menu - File - Log - Clear

File - Log - Clear

Clear log window.


Menu - File - Log - Copy to Clipboard

File - Log - Copy to Clipboard

Copy log contents to the Clipboard.


Menu - File - Log

File - Log

Log window functions.


Menu - File - Log - Print

File - Log - Print

Print log window contents to the default printer.


Menu - File - Log - Save

File - Log - Save

Save log window contents to the file.


Menu - File

File

File menu.


Menu - File - New

File - New

Create a new project using the Project Wizard.


Menu - File - Open

File - Open

Open an existing project from a file.


Menu - File - Print

File - Print

Print project.


Menu - File - Print Preview

File - Print Preview

Open a print preview window.


Menu - File - Project Report

File - Project Report

Create a report from the project as an external file. See: Project Report dialog


Menu - File - Reopen

File - Reopen

Re-open the project from the last opened projects list.


Menu - File - Save As

File - Save As

Save project with a different name.


Menu - File - Save

File - Save

Save project to the file.


Menu - File - Save to Translation Memory

File - Save to Translation Memory

Save all project translations in the default Translation Memory.


Context Menu - Component - Position - Align

Component - Position - Align

Open component Alignment dialog.


Context Menu - Component - Position - Align To Grid

Component - Position - Align To Grid

Align component to the grid.


Context Menu - Component - Bring To Front

Component - Bring To Front

Bring component to the foreground on the drawing canvas.


Context Menu - Component - Position

Component - Position

Set component position in a window or frame.


Context Menu - Component - Send To Back

Component - Send To Back

Send component to the background on the drawing canvas.


Context Menu - Component - Position - Size

Component - Position - Size

Open the component Size dialog.


Context Menu - Grid - Clear

Grid - Clear

Clear the selected grid cell value.


Context Menu - Grid - Clear Changed Status

Grid - Clear Changed Status

Clear selected grid cell row changed status.


Context Menu - Grid - Clear New Status

Grid - Clear New Status

Clear the selected grid cell row new status.


Context Menu - Grid - Comment

Grid - Comment

Open the Row Comment dialog.


Context Menu - Grid - Copy

Grid - Copy

Copy the selected grid cell value to the clipboard.


Context Menu - Grid - Cut

Grid - Cut

Cut the selected cell value to the clipboard.


Context Menu - Grid - Edit

Grid - Edit

Edit the cell value.


Context Menu - Grid - Load

Grid - Load

Load the cell value from an external file.


Context Menu - Grid - Paste

Grid - Paste

Paste the clipboard contents to the cell.


Context Menu - Grid - Paste Native

Grid - Paste Native

Paste the row native value to the cell.


Context Menu - Grid - Save

Grid - Save

Save the cell value to an external file.


Context Menu - Grid - Select Node

Grid - Select Node

Highlight the active row node from the Project Tree and WYSIWYG graph if available.


Context Menu - Grid - Status

Grid - Status

Set the grid cell row translation status flag.


Context Menu - Grid - Translate

Grid - Translate

Select the grid cell translate method.


Context Menu - Grid - Translate Using Translation Memory

Grid - Translate Using Translation Memory

Translate the active node using the Translation Memory.


Context Menu - Column - Build

Column - Build

Build the localized items in the selected language.


Context Menu - Column - Hide

Column - Hide

Hide the selected column.


Context Menu - Column - Import

Column - Import

Import translations from an external source to the selected language column.


Context Menu - Column - Run

Column - Run

Run or execute the target in the selected language.


Context Menu - Grid - Columns

Grid - Columns

Open the Grid Columns dialog.


Context Menu - Grid - Filter

Grid - Filter

Open the Grid Filter dialog.


Context Menu - Grid - Languages

Grid - Languages

Open the Grid Languages dialog.


Locate

Locate Row

Locate row dialog is used for locating project rows by row status.

One ore more statuses can be selected, and MULTILIZER locates next row having the selected status.

After finding the first row, user can press F3 to find next row with having the selected status.


Context Menu - Grid - Options

Grid - Options

Open the Grid Options dialog.


Context Menu - Column - Select

Column - Select

Select the entire row.


Menu - Help - About

Help - About

Show information about the program.


Menu - Help - Contents

Help - Contents

Show this help window.


Menu - Help - Localization Guide

Help - Localization Guide

Show Localization Guide help (PDF).


Menu - Help

Help

Help menu.


Menu - Help - Support Pages

Help - Support Pages

Open MULTILIZER support pages in your default Internet browser.


Menu - Help - System Information

Help - System Information

Show information about your system, such as operating system name and version, system locale and installed compilers.


Import Existing Translations

MULTILIZER has found existing translations for the target file. Click Yes to add languages detected from the translations, or No to continue with the default languages for the new project.


Import Wizard - Delphi

Use this sheet to specify the imported Delphi file options.

DRC file name

Specifies the Delphi resource file name (e.g. c:\projects\project1.drc). Specifying a DRC enables Multilizer to use resourcestring names (strings) instead of resourcestring id's (numbers).


Import Wizard - File Type

Some file extensions are common for several target types. Use this sheet to select the exact type of target.

Select Show all file types to show all supported file types.


Import Wizard - Microsoft Glossary

Use this sheet to specify the Microsoft Glossary file options.

Language

Specifies the (spoken) language of the file.

Separator

Specifies the separator character of the values. Possible values are:

Automatic | Try to detect the separator character automatically based on the file content.
None | The file has no separators.
Comma (,) | Separate the values by comma.
Semicolon (;) | Separate the values by semicolon.


Import Wizard - Net

This dialog allows you to specify the namespace of a ResX file that you wish to import to Multilizer project.

Note! Multilizer automatically adds the filename without extension as last part of the namespace.

Example: If there's an existing namespace ResourceTest.resource.MyRes in Multilizer project and you wish to import German translations from MyRes.de.ResX, you have to specify ResourceTest.resource in this dialog.


Import Wizard - Text

Use this page to specify the text options.

First line

First line shows the first line of file being imported. Specify import options so that it will match the layout.

Columns

This section shows the columns of the file.

Add Language

Press Add Language to add a new language column.

Add another column

Press Add another column to add a column other than a language column. Possible values are:

Add native column | Add a native translation column. Native is the value which is in the localizable target.
Add context column | Add a context column. Context tells to MULTILIZER where the translation is found from the localizable target.
Add ignored column | Add an ignored column. Ignored column is not imported to the project.
Add comment column | Add a comment column. The string is imported in MULTILIZER project's row comment.

Options

Character set

Specifies the imported text file character set.

Encoding

Specifies the imported text file encoding. This setting is enabled for ANSI character set only.

Delimiter

Specifies the column delimiter mark.

Quote

Specifies the quoting character used around the values.

Comment string

Specifies the line comment mark.

Ignore lines

Specifies the number of lines to ignore from the beginning of the file.

Sample

Sample shows the layout of file that selected options will handle. Compare the sample with First line to see, if the file import will succeed.


Integer Value

Use this dialog to enter the integer value and press OK.


Licenses

Use this dialog box to set the licenses.

Licenses

Shows the current licenses. MULTILIZER can contain zero or more license. Each license grants one ore more platforms. A license can either be a serial number that you have purchased or an evaluation stamp added when starting the evaluation period.

To add a serial number enter the serial number and press the Add button.

To remove a serial number select the number you want to remove and press Del or right mouse click and choose the Remove menu.

Platforms

Shows the license status of each supported platform. The value can be any of the following values:

Translate | You can only translate targets belonging to this platform. This is the default license.
Translate and Q&A | You can translate and build targets belonging to this platform. This license is grated by a MULTILIZER Translator's Edition Pro serial number.
Evaluate Translation and Q&A, X days left | You are evaluating MULTILIZER Translator's Edition Pro. The number shows how many days evaluation you have got left.
Evaluate, X days left | You are evaluating this platform. The number shows how many days evaluation you have got left.
Full | You have full license for this platform. This license is granted by a MULTILIZER serial number.


Add Component

Add/Edit Component

Use this dialog to add a new component mapping to MULTILIZER WYSIWYG.

Name

Specifies the source component (class) name.

Component

Specifies the MULTILIZER component name.

Properties

Specifies the list of component excluded property names.

Component mapping is very important part of Multilizer configuration. It is used with platforms using components such as .NET, Delphi, C++Builder and Visual Basic. The purpose of the mapping is to give Multilizer information about the components that the applications use. When Multilizer scans the form resource and it finds a component it needs to know what kind of component it is reading. The component mappings tell this.

By default Multilizer contains mappings for all the standard component of the platform plus the most common 3rd party component. Multilizer can localize any other component as well even if has not been mapped. However if the component is unmapped Multilizer can not show it visually correct on the form editor but it shows the component and a yellow box having the class name. This is why you should map the 3rd party component library that you are using (if it has not been already mapped).

Each item in the component mappings contains a mapping information of one component. This information contains the following data:

Class name

The class name specified the class name of the component. For example the standard button component is TButton in VCL and System.Windows.Forms.Button in .NET.

Component

Multilizer component type (e.g. Button). Multilizer contain a collection of visual component type. Select the type that is best match to the component type. For example if the class name contains a button component (TMyButton) the best choice would be Button.

Properties

By default Multilizer extracts all string-typed properties and the properties that needs to be extract to get the visual information. Such kind of properties are for example left, top, width, height, color, font. reading order, IME. In most cases this is just enough to properly localize the component. However in some cases the component could contain a non-string-typed property that needs to be localized as well. For example the component might contains Mirrored property that controls the layout of the component. When localizing to a bi-directional language such as Arabic or Hebrew this property should be set True. To do that add the property name to the property list as an included property.

Some components contain string properties that should not be localized. For example most database components contain table name, SQL statements or connection strings. You can disable scanning of these properties by adding them to the properties list as an excluded property.


Context Menu - Component - Map

Components

This dialog shows the components used in the targets of current project. In addition there is information about component mapping. Component mapping gives information of how MULTILIZER displays them in WYSIWYG mode and which properties are localized and which are not.

Changing of component mappings

If user wants to make a project-wide change in the localization of a specific component or component property, it can be done here by modifying component mappings; select a component and click Edit... to edit the component mapping properties for the particular component.

Confirm auto-detected components

MULTILIZER recognizes hundreds of components automatically and gives the a correct mapping.

In addition MULTILIZER auto-detects some unknown components by the class name. Auto-detected components are marked with a red head symbol. User should verify these components and press Confirm after that.

Make component mappings global

Any changes done here are applied in the project only; project specific component are marked with a black head symbol.

If the changes should become default settings and available for other projects, click Publish or Publish All. Publishing component mappings makes the settings global. (Global settings are found under Tools->Options... menu)

More info:

  • Mapping a component


Add Keyword

Add/Edit Keyword

Use this dialog to add a new component keyword to MULTILIZER WYSIWYG.

Name

Specifies the source component (class) name.

Component

Specifies the MULTILIZER component name.


Mappings - Components

Component mapping is very important part of Multilizer configuration. It is used with platforms using components such as .NET, Delphi, C++Builder and Visual Basic. The purpose of the mapping is to give Multilizer information about the components that the applications use. When Multilizer scans the form resource and it finds a component it needs to know what kind of component it is reading. The component mappings tell this.

By default Multilizer contains mappings for all the standard component of the platform plus the most common 3rd party component. Multilizer can localize any other component as well even if has not been mapped. However if the component is unmapped Multilizer can not show it visually correct on the form editor but it shows the component and a yellow box having the class name. This is why you should map the 3rd party component library that you are using (if it has not been already mapped).

Each item in the component mappings contains a mapping information of one component. This information contains the following data:

Class name

The class name specified the class name of the component. For example the standard button component is TButton in VCL and System.Windows.Forms.Button in .NET.

Component

Multilizer component type (e.g. Button). Multilizer contain a collection of visual component type. Select the type that is best match to the component type. For example if the class name contains a button component (TMyButton) the best choice would be Button.

Properties

By default Multilizer extracts all string-typed properties and the properties that needs to be extract to get the visual information. Such kind of properties are for example left, top, width, height, color, font. reading order, IME. In most cases this is just enough to properly localize the component. However in some cases the component could contain a non-string-typed property that needs to be localized as well. For example the component might contains Mirrored property that controls the layout of the component. When localizing to a bi-directional language such as Arabic or Hebrew this property should be set True. To do that add the property name to the property list as an included property.

Some components contain string properties that should not be localized. For example most database components contain table name, SQL statements or connection strings. You can disable scanning of these properties by adding them to the properties list as an excluded property.


Mappings - Keywords

By default Multilizer contains mapping list of the most common 3rd party components. However if you use some other component library you have to add mappings. To make this easier Multilizer contains automatic component mapping feature. This makes it possible to automatically detect the component type from the component name. Keywords controls this feature.

The mapping algorithm uses the keyword list. When Multilizer finds an unmapped component it check from the list if the component type name ends with any item in the list. If a match is found Multilizer maps the component to the component type specified in the keyword list. Keep in mind that Multilizer seached keywords in the order they appear in this list.


Mappings - Properties
© 2006 Multilizer www.multilizer.com All rights reserved.


Property

Add/Edit Property

Use this dialog to add a new property definition to MULTILIZER WYSIWYG.

Name

Specifies the source property name.

Mode

Specifies whatever the property is included or excluded. Excluded properties will be ignored during scanning.


Font

Use this dialog to specify the font options.

Script

Specifies the font script name.

Value

Specifies the font name.

Size

Specifies the font size.


Login

Use this dialog to specify the login parameters.

User ID

User name

Specifies the login user name.

Password

Specifies the user password.

Save password

Specifies if MULTILIZER stores the password to the project settings.

Warning! Passwords are not encrypted when saved to project settings. Anyone can read it by opening the MULTILIZER project file in a simple text editor.


Project Upgrade

Multilizer 6 has different project file format than Multilizer 5. Both formats are based on XML but because MPR 6 contains visual information the format has been changed. The new format is more object oriented, more compact and much faster. The load and save times are up to 10 times faster than in Multilizer 5.

In order to use your old projects Multilizer 6 must upgrade the project file format from the old format to the new format. Press Continue to start the upgrade process. The changes won't be permanent until you save the project. After you have saved the project the project file format has been permanently changed and it can not be opened using Multilizer 5. If you want to keep our old project file, backup it or save the upgraded project with another name by choosing File | Save As.


.NET Language Parameter

In order to run the application on the current language the language code must be passed as a command line parameter.

If you have already implemented the language parameter handling and the format differs from the format below enter a new format. If not press Cancel, add the parameter handling into your code, compile the application and try again.


.NET Project File

.NET project file is not specified. It is recommended to specify the project file.

You can localize the file but MULTILIZER cannot resolve the visual menu tree or visual inheritance path without the project file and the source code.


Context Menu - Tree - Clear New Status

Tree - Clear New Status

Clear the selected node new status.

New status is automatically given to the item when it is found for the first time from the scanned target.


Context Menu - Tree - Collapse

Tree - Collapse

Collapse the tree nodes.


Context Menu - Tree - Do Not Translate

Tree - Do Not Translate

Mark entire node with Do not translate status.

If node has a Do not translate status no translations are written instead the native values are used.


Context Menu - Tree - Expand All

Tree - Expand All

Expand all tree nodes.


Context Menu - Tree - Priority

Tree - Priority

Set the node priority Low, Normal or High. The default priority is Normal. The node priority has no meaning when scanning the project nor building the localized items.


Context Menu - Tree - Properties

Tree - Properties

Open the Target Properties dialog.


Context Menu - Tree - Status

Tree - Status

Set the node status flag manually to one of the following values: New, Unused, In Use, or Changed.


Not Supported Any More

Multilizer 6 does not support the following Multilizer 5 targets:

Target | Note
StreamServe |
Visual J++ | Microsoft has ended supporting Visual J++.
WAP | If you need to localize WML files use XML localization.
Source code with Multilizer componets | Multilizer components are not included any more. Start using source code localization where Multilizer creates localized source code files instead of the runtime dictionary.

If your project contains these targets you must change you localization method or you can keep using Multilizer 5.1


Not Yet Implemented

Multilizer 6 does not yet contain support for the following Multilizer 5 targets:

Target | Note
Oracle Forms |
Palm |
Symbian |
XHTML |

If your project contains these targets you better use Multilizer 5.1 until support for them has been added to Multilizer 6.


Options - Database- Settings

Default database type

Specifies the default database type when creating a new database localization project. This setting is useful if you regularly create new database localization projects using the same database (e.g. SQL Server).


Options - MobileVB - Widows CE Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


Options - MobileVB - Palm Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.

The scaling factor is used because in most cases the Windows font does not match perfectly the target application font. Choose the Windows font that is closest to the actual font. If the match is exact, leave the factor to 1.0. Otherwise adjust the factor in a way that the Windows font is scaled to match the application font.


Options - MobileVB - Series 60 Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


Options - MobileVB - Series 80 Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


Options - MobileVB - Tools

MobileVB compiler

Specifies the MobileVB compiler executable file.


Options - MobileVB - UIQ Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


Options - .NET - Excluded Properties

By default Multilizer picks all strings from controls'/components' string properties. In the Excluded Properties list you can specify the names of string properties that are not scanned.

Button Controls

Add

Add a new property name.

Edit

Edit property name.

Remove

Remove selected property.

Export

Export properties to the MULTILIZER Item File (.mli).

Import

Import property names from MULTILIZER Item File (.mli).


Options - Delphi and C++Builder - Exluded Properties

Options - .NET - Keywords

By default Multilizer contains mapping list of the most common 3rd party components. However if you use some other component library you have to add mappings. To make this easier Multilizer contains automatic component mapping feature. This makes it possible to automatically detect the component type from the component name. Keywords controls this feature.

The mapping algorithm uses the keyword list. When Multilizer finds an unmapped component it check from the list if the component type name ends with any item in the list. If a match is found Multilizer maps the component to the component type specified in the keyword list. Keep in mind that Multilizer seached keywords in the order they appear in this list.


Options - .NET - Component Mappings

Component mapping is very important part of Multilizer configuration. It is used with platforms using components such as .NET, Delphi, C++Builder and Visual Basic. The purpose of the mapping is to give Multilizer information about the components that the applications use. When Multilizer scans the form resource and it finds a component it needs to know what kind of component it is reading. The component mappings tell this.

By default Multilizer contains mappings for all the standard component of the platform plus the most common 3rd party component. Multilizer can localize any other component as well even if has not been mapped. However if the component is unmapped Multilizer can not show it visually correct on the form editor but it shows the component and a yellow box having the class name. This is why you should map the 3rd party component library that you are using (if it has not been already mapped).

Each item in the component mappings contains a mapping information of one component. This information contains the following data:

Class name

The class name specified the class name of the component. For example the standard button component is TButton in VCL and System.Windows.Forms.Button in .NET.

Component

Multilizer component type (e.g. Button). Multilizer contain a collection of visual component type. Select the type that is best match to the component type. For example if the class name contains a button component (TMyButton) the best choice would be Button.

Properties

By default Multilizer extracts all string-typed properties and the properties that needs to be extract to get the visual information. Such kind of properties are for example left, top, width, height, color, font. reading order, IME. In most cases this is just enough to properly localize the component. However in some cases the component could contain a non-string-typed property that needs to be localized as well. For example the component might contains Mirrored property that controls the layout of the component. When localizing to a bi-directional language such as Arabic or Hebrew this property should be set True. To do that add the property name to the property list as an included property.

Some components contain string properties that should not be localized. For example most database components contain table name, SQL statements or connection strings. You can disable scanning of these properties by adding them to the properties list as an excluded property.


Options - Delphi and C++Builder - Options

Options - .NET - Options

Auto Map

Specifies if MULTILIZER should try to map unknown components automatically.


Options - .NET - Exluded Properties

By default Multilizer picks all strings from controls'/components' string properties. In Excluded Properties list you can specify the names of string properties that are not scanned.

Button Controls

Add

Add a new property name.

Edit

Edit property name.

Remove

Remove selected property.

Export

Export properties to the MULTILIZER Item File (.mli).

Import

Import property names from MULTILIZER Item File (.mli).


Options - Delphi and C++Builder - .NET Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.


Options - Palm - Emulator

Enter the location of the Palm emulator and sessions. The emulator is used to test Palm applications using Palm OS version up to version 4.

Emulator application

Specifies the Palm emulator application. Type the full path name of the emulator application (Emulator.exe) or press "…" to browse to the file.

Check Quit emulator after the application terminates if MULTILIZER quits the emulator automatically when the launched application terminates.

Sessions

The emulator uses session files that specify the ROM image and the settings. You can specify a language specific session file(s). To add a session file press the … button to open the Palm Session dialog box that specifies the session file and the language.

This makes it possible to run localized application on different settings and ROM images. Some languages require special add-ons in order to work. By configuring such a session and saving it to a session file MULTILIZER can use the same session when running the localized application.

The first session is the default session that will be used whenever there is no language specific session.


Options - Palm - Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.

The scaling factor is used because in most cases the Windows font does not match perfectly the target application font. Choose the Windows font that is closest to the actual font. If the match is exact, leave the factor to 1.0. Otherwise adjust the factor in a way that the Windows font is scaled to match the application font.


Options - Palm - Simulator

Enter the location of the Palm simulator and ROM images. The simulator can be used to test all Palm applications using Palm OS version 5.

Simulator application

Specifies the Palm simulator application. Type the full path name of the simulator application (PalmSim.exe) or press … to browse to the file.

Check Quit simulator after the application terminates if MULTILIZER quits the simulator automatically when the launched application terminates.

ROM Images

The simulator uses ROM images. You can specify a language specific ROM image file(s). To add an image file press the … button to open the Palm ROM Image dialog box that specifies the image file and the language.

This makes it possible to run localized application on different ROM images. Some languages require special ROM images in order to work. By configuring such a ROM image MULTILIZER can use the image when running the localized application.

The first ROM image is the default image that will be used whenever there is no language specific image.


Options - Visual Basic - Excluded Properties

Contains list of property names that are not scanned.

Button Controls

Add

Add a new property name.

Edit

Edit property name.

Remove

Remove selected property.

Export

Export properties to the MULTILIZER Item File (.mli).

Import

Import property names from MULTILIZER Item File (.mli).


Options - Delphi and C++Builder - Exluded Properties

Options - Visual Basic - Keywords

By default Multilizer contains mapping list of the most common 3rd party components. However if you use some other component library you have to add mappings. To make this easier Multilizer contains automatic component mapping feature. This makes it possible to automatically detect the component type from the component name. Keywords controls this feature.

The mapping algorithm uses the keyword list. When Multilizer finds an unmapped component it check from the list if the component type name ends with any item in the list. If a match is found Multilizer maps the component to the component type specified in the keyword list. Keep in mind that Multilizer seached keywords in the order they appear in this list.


Options - Visual Basic - Component Mappings

Component mapping is very important part of Multilizer configuration. It is used with platforms using components such as .NET, Delphi, C++Builder and Visual Basic. The purpose of the mapping is to give Multilizer information about the components that the applications use. When Multilizer scans the form resource and it finds a component it needs to know what kind of component it is reading. The component mappings tell this.

By default Multilizer contains mappings for all the standard component of the platform plus the most common 3rd party component. Multilizer can localize any other component as well even if has not been mapped. However if the component is unmapped Multilizer can not show it visually correct on the form editor but it shows the component and a yellow box having the class name. This is why you should map the 3rd party component library that you are using (if it has not been already mapped).

Each item in the component mappings contains a mapping information of one component. This information contains the following data:

Class name

The class name specified the class name of the component. For example the standard button component is TButton in VCL and System.Windows.Forms.Button in .NET.

Component

Multilizer component type (e.g. Button). Multilizer contain a collection of visual component type. Select the type that is best match to the component type. For example if the class name contains a button component (TMyButton) the best choice would be Button.

Properties

By default Multilizer extracts all string-typed properties and the properties that needs to be extract to get the visual information. Such kind of properties are for example left, top, width, height, color, font. reading order, IME. In most cases this is just enough to properly localize the component. However in some cases the component could contain a non-string-typed property that needs to be localized as well. For example the component might contains Mirrored property that controls the layout of the component. When localizing to a bi-directional language such as Arabic or Hebrew this property should be set True. To do that add the property name to the property list as an included property.

Some components contain string properties that should not be localized. For example most database components contain table name, SQL statements or connection strings. You can disable scanning of these properties by adding them to the properties list as an excluded property.


Options - .NET - Tools

Options - Visual Basic- Tools

In order to compile the localized resources MULTILIZER needs to know the location of the tools used by the .NET.

Visual Basic executable

Set the full path name of Visual Basic application. Example: C:\Program Files\Microsoft Visual Studio\VB98\vb6.exe

eMbedded Visual Basic executable

Set the full path name of eMbedded Visual Basic application. Example: C:\Program Files\Microsoft eMbedded Visual Studio\EVB\evb6.exe

By pressing the Default button MULTILIZER tries to detect the location of the files.
© 2006 Multilizer www.multilizer.com All rights reserved.


Options - Delphi and C++Builder - Exluded Properties

Options - Delphi and C++Builder - Keywords

By default Multilizer contains mapping list of the most common 3rd party components. However if you use some other component library you have to add mappings. To make this easier Multilizer contains automatic component mapping feature. This makes it possible to automatically detect the component type from the component name. Keywords controls this feature.

The mapping algorithm uses the keyword list. When Multilizer finds an unmapped component it check from the list if the component type name ends with any item in the list. If a match is found Multilizer maps the component to the component type specified in the keyword list. Keep in mind that Multilizer seached keywords in the order they appear in this list.


Options - Delphi and C++Builder - Component Mappings

Component mapping is very important part of Multilizer configuration. It is used with platforms using components such as .NET, Delphi, C++Builder and Visual Basic. The purpose of the mapping is to give Multilizer information about the components that the applications use. When Multilizer scans the form resource and it finds a component it needs to know what kind of component it is reading. The component mappings tell this.

By default Multilizer contains mappings for all the standard component of the platform plus the most common 3rd party component. Multilizer can localize any other component as well even if has not been mapped. However if the component is unmapped Multilizer can not show it visually correct on the form editor but it shows the component and a yellow box having the class name. This is why you should map the 3rd party component library that you are using (if it has not been already mapped).

Each item in the component mappings contains a mapping information of one component. This information contains the following data:

Class name

The class name specified the class name of the component. For example the standard button component is TButton in VCL and System.Windows.Forms.Button in .NET.

Component

Multilizer component type (e.g. Button). Multilizer contain a collection of visual component type. Select the type that is best match to the component type. For example if the class name contains a button component (TMyButton) the best choice would be Button.

Properties

By default Multilizer extracts all string-typed properties and the properties that needs to be extract to get the visual information. Such kind of properties are for example left, top, width, height, color, font. reading order, IME. In most cases this is just enough to properly localize the component. However in some cases the component could contain a non-string-typed property that needs to be localized as well. For example the component might contains Mirrored property that controls the layout of the component. When localizing to a bi-directional language such as Arabic or Hebrew this property should be set True. To do that add the property name to the property list as an included property.

Some components contain string properties that should not be localized. For example most database components contain table name, SQL statements or connection strings. You can disable scanning of these properties by adding them to the properties list as an excluded property.


Options - Delphi and C++Builder - Options

Auto Map

Specifies if MULTILIZER should try to map unknown components automatically.


Options - XLIFF - Component Mappings

Options - XLIFF - Components

Component mapping is very important part of Multilizer configuration. It is used with platforms using components such as .NET, Delphi, C++Builder and Visual Basic. The purpose of the mapping is to give Multilizer information about the components that the applications use. When Multilizer scans the form resource and it finds a component it needs to know what kind of component it is reading. The component mappings tell this.

By default Multilizer contains mappings for all the standard component of the platform plus the most common 3rd party component. Multilizer can localize any other component as well even if has not been mapped. However if the component is unmapped Multilizer can not show it visually correct on the form editor but it shows the component and a yellow box having the class name. This is why you should map the 3rd party component library that you are using (if it has not been already mapped).

Each item in the component mappings contains a mapping information of one component. This information contains the following data:

Class name

The class name specified the class name of the component. For example the standard button component is TButton in VCL and System.Windows.Forms.Button in .NET.

Component

Multilizer component type (e.g. Button). Multilizer contain a collection of visual component type. Select the type that is best match to the component type. For example if the class name contains a button component (TMyButton) the best choice would be Button.

Properties

By default Multilizer extracts all string-typed properties and the properties that needs to be extract to get the visual information. Such kind of properties are for example left, top, width, height, color, font. reading order, IME. In most cases this is just enough to properly localize the component. However in some cases the component could contain a non-string-typed property that needs to be localized as well. For example the component might contains Mirrored property that controls the layout of the component. When localizing to a bi-directional language such as Arabic or Hebrew this property should be set True. To do that add the property name to the property list as an included property.

Some components contain string properties that should not be localized. For example most database components contain table name, SQL statements or connection strings. You can disable scanning of these properties by adding them to the properties list as an excluded property.


Options - XLIFF - Fonts

Specifies font files that are used when calculating the menu size of the localized application. Each script uses its own font name and font size.

The scaling factor is used because in most cases the Windows font does not match perfectly the target application font. Choose the Windows font that is closest to the actual font. If the match is exact, leave the factor to 1.0. Otherwise adjust the factor in a way that the Windows font is scaled to match the application font.


Options - XLIFF - Component Mappings

Component mapping is very important part of Multilizer configuration. It is used with platforms using components such as .NET, Delphi, C++Builder and Visual Basic. The purpose of the mapping is to give Multilizer information about the components that the applications use. When Multilizer scans the form resource and it finds a component it needs to know what kind of component it is reading. The component mappings tell this.

By default Multilizer contains mappings for all the standard component of the platform plus the most common 3rd party component. Multilizer can localize any other component as well even if has not been mapped. However if the component is unmapped Multilizer can not show it visually correct on the form editor but it shows the component and a yellow box having the class name. This is why you should map the 3rd party component library that you are using (if it has not been already mapped).

Each item in the component mappings contains a mapping information of one component. This information contains the following data:

Class name

The class name specified the class name of the component. For example the standard button component is TButton in VCL and System.Windows.Forms.Button in .NET.

Component

Multilizer component type (e.g. Button). Multilizer contain a collection of visual component type. Select the type that is best match to the component type. For example if the class name contains a button component (TMyButton) the best choice would be Button.

Properties

By default Multilizer extracts all string-typed properties and the properties that needs to be extract to get the visual information. Such kind of properties are for example left, top, width, height, color, font. reading order, IME. In most cases this is just enough to properly localize the component. However in some cases the component could contain a non-string-typed property that needs to be localized as well. For example the component might contains Mirrored property that controls the layout of the component. When localizing to a bi-directional language such as Arabic or Hebrew this property should be set True. To do that add the property name to the property list as an included property.

Some components contain string properties that should not be localized. For example most database components contain table name, SQL statements or connection strings. You can disable scanning of these properties by adding them to the properties list as an excluded property.


Menu - Project - Build Localized Item

Project - Build Localized Item

Build localized items from the selected project target.


Menu - Project - Build Localized Items

Project - Build Localized Items

Build all targets for all languages.


Menu - Project - Clear Changed Status

Project - Clear Changed Status

Clear all the changed statuses of the project.


Menu - Project - Clear New Status

Project - Clear New Status

Clear new status of the selected item.


Menu - Project - Clear Validations

Project - Clear Validations

Clear validation results.


Menu - Project - Excluded Rows - By Context

Project - Excluded Rows - By Context

Exclude items from the project by context information.


Menu - Project - Excluded Rows - By Native

Project - Excluded Rows - By Native

Exclude items from the project by native value.


Menu - Project - Excluded Rows

Project - Excluded Rows

Edit excluded rows list.


Menu - Project - Languages

Project - Languages

Add, edit or delete project languages. See: Languages dialog.


Menu - Project

Project

Project menu.


Menu - Project - Options

Project - Options

Edit project options. See: Project Options dialog.


Menu - Project - Remove Unused Items

Project - Remove Unused Items

Remove items from the project that have no reference to any of the targets.


Menu - Project - Run Native

Project - Run Native

Run (or execute) native version for the selected target.


Menu - Project - Run Translated

Project - Run Translated

Run (or execute) translated version for the selected target.


Menu - Project - Scan

Project - Scan

Scan the targets to find new and changed items.


Menu - Project - Targets

Project - Targets

Add, edit or remove project targets. See: Targets dialog.


Menu - Project - Translate - Duplicates

Project - Translate - Duplicates

Translate duplicated items in the project.


Menu - Project - Translate

Project - Translate

Select translate method.


Menu - Project - Translate - Using Translation Memory

Project - Translate - Using Translation Memory

Translate project using default Translation Memory.


Menu - Project - Validate As

Project - Validate As

Open the Validation Options dialog. See: Validate As dialog.


Menu - Project - Validate

Project - Validate

Run validations for the project.


Menu - Project - Validation Report

Project - Validation Report

Create a validation report.


Project Wizard - File Type

Some file extensions are common for several target types, like for windows executable files (.exe). Use this sheet to select the exact type of target.

Select Show all file types to show all supported file types.

Some targets can contain wild cards in the file name. This makes it possible for example to localize all files in the directory having the same file extension. Select Localize also all other .XXX files in the directory to include all files in the directory having the same file extension as the selected file. Checking this change the target file to *.<ext>. For example if you have selelected D:\MyFiles\Sample.properties and you check this combo Multilizer still adds one target but sets its file name to D:\MyFiles\*.properties instead of D:\MyFiles\Sample.properties. Select Include sub directories to make Multilizer to scan files from all sub directories as well.


Project Wizard - Finish

Press the Finish button to complete the wizard.


Project Wizard - INI Target

Use this sheet to select the keys you want to localize.

You can select individual keys by double-clicking them, or you can double-click entire section.

Click Select All to check all the keys. Click Unselect all to clear selection. Click View file to open the file in default INI editor.


Project Wizard - .NET Binary File

In order to localize menus visually and to solve visual inheritance, Multilizer needs information that is found in the .NET project (resources). if this information is not essential for the localization, you can leave the field empty.

Project file name

Specifies the .NET project file name.


Project Wizard - Source File

Programming language

Specifies the programming language used to write the selected source file(s). MULTILIZER uses the information to parse the localized string sections from the source code.


Project Wizard - Tables

Use this sheet to select the database content you want to localize.

Localization Architecture

Specifies the database localization architecture. These options are enabled only for the file type databases (i.e. Access and InterBase).

Field, table or single table

Insert localized data directly into the selected database.

Cloning

Create localized copies from selected database.

See MULTILIZER manual to learn more about localization architectures.

Tables and fields

Specifies the localizable tables and fields. Use the mouse to drag and drop the tables and fields and/or right click the mouse button to set the field types.

See MULTILIZER manual to learn more about database localization techniques.


Project Wizard - VCL Binary Target

Specifies the VCL binary target options.

Language of the application

Specifies the application native language.

Project file name

Specifies the VCL project file name (e.g. c:\project\project.dpr).

DRC file name

Specifies the Delphi resource file name (e.g. c:\project\project.drc).

Output files

Specifies what types of output files MULTILIZER will create.

Localized files | Create own file for each language in the project.
Resource files | Create localized resource files.
Multilingual file | Create a one multilingual executive containing all the languages in the project.

Options

Scan images from the form data

Scan the images from the project forms. If this is checked Multilizer scans the embedded image data from the form. For example TImage stores the actual image data into the form.

Set BiDiMode property

Set the BiDiMode property of components on Right-to-Left languages. If this is checked Multilizer changes the BiDiMode property value when creating a Middle Eastern output file. If the original value is bdLeftToRight, Multilizer changes this to bdRightToLeft. This is applied only if ParentBiDiMode property is false.

Mirror forms

Mirror the form layout on Right-to-Left languages. If this is checked Multilizer mirrors the form and its sub components when creating a Middle Eastern output file.


Project Wizard - VCL Options

Use this sheet to specify the VCL binary file options.

Output files

Localized files

Create a localized executable for each language.

Resource files

Create localized resource files for each language.

There are Multilizer VCL functions that enable run-time language switch for a software localized this way.

Multilingual file

Creates one multilingual file containing all languages.

Options

Scan images from the form data

Scan the images from the project forms. If this is checked Multilizer scans the embedded image data from the form. For example TImage stores the actual image data into the form.

Set BiDiMode property

Set the BiDiMode property of components on Right-to-Left languages. If this is checked Multilizer changes the BiDiMode property value when creating a Middle Eastern output file. If the original value is bdLeftToRight, Multilizer changes this to bdRightToLeft. This is applied only if ParentBiDiMode property is false.

Mirror forms

Mirror the form layout on Right-to-Left languages. If this is checked Multilizer mirrors the form and its sub components when creating a Middle Eastern output file.

Form scaling

Disable scaling

Set the TForm.Scaled property to False. This disables the built-in form scaling of VCL. When VCL loads a form it checks if the runtime height of the font is different to the designtime height of the form. If it is VCL scales the components on the form. Unfortunately it does not scale the width and height of the form excluding the case when BorderStyle property is bsDialog. This may cut off some of the components. To prevent this disable form scaling.

Scale forms

Another solution is to make Multilizer to scale the width and height of the form. Check this to increase or decrease the TForm.Width and TForm.Height value of the forms in the localized output files to match the VCL runtime scaling.

Unfortunately the built-in VCL scaling is always based on runtime fonts of the OS where the application is running. Therefore scaling on the developers computer might be different than the actual runtime scaling.

Ignore

Do not change the Scaled, Width or Height properties.

Project file name

Specifies the Delphi project file (e.g. c:\project\project.dpr). This is needed if your application uses visual form inheritance. Windows binary file (.exe) does not contain the form class hierachy information. Multilizer reads the form hierarchy from the source code files (.pas).

DRC file name

Specifies the Delphi DRC file (e.g. c:\project\project.drc). When Delphi compiler compiles a resource string it assigns an id for the string. If you add a new resource string anywhere into the application or delete an exinting one, the compiler will give most resource strings a new id. This may cause loss of translations or a wrong translation to be assigned into existing string. To prevent this Multilizer should not use the string ids as the resource context but the resource string variable names (e.g. SMyString). These remain constant during the application development. The DRC file contains maps from resource string variable to the resource string id.


Project Wizard - Windows Resources

Specifies the resource types to be scanned from the target. The list contains all the resource types found from the Windows binary file. If you want to disable localization of a specific resource uncheck the resource type check box. This will make MULTILIZER use the original resource data in the localized output files.

MULTILIZER adds by default all resources to a project, which makes the project bigger and harder to maintain. Unchecking resources that don't need localization will decrease the size of MULTILIZER project.


Project Wizard - XML Target

Use this sheet to specify the XML target properties.

Tags

Specifies the localized elements of XML file.

Click Select All to check all the elements. Click Unselect all to clear selection. Click View file to open the file in default XML viewer.

Output files

Localized files

Create own file for each language in the project.

Multilingual file

Create one multilingual file containing all the languages in the project.

Options

Keep original format

Retain the XML file original format in localized files.

Remove white spaces

Remove the extra white spaces from the localized files.

Use XML segmentation

Specifies if XML segmentation is used. XML segmentation is used to split long native values to help the translation work.


Context Menu - Graph - Notebook - Next Page

Graph - Notebook - Next Page

Open the next notebook page.


Context Menu - Graph - Notebook - Previous Page

Graph - Notebook - Previous Page

Open the previous notebook page.


Context Menu - Graph - Page Control - Next Page

Graph - Page Control - Next Page

Open the next control page.


Context Menu - Graph - Page Control - Previous Page

Graph - Page Control - Previous Page

Open the next control page.


Menu - Row - Clear Changed Status

Row - Clear Changed Status

Clear the selected row Changed status.


Menu - Row - Clear

Row - Clear

Clear selected row values.


Menu - Row - Clear New Status

Row - Clear New Status

Clear New status from the selected row.


Menu - Row - Comment

Row - Comment

Edit row comment.


Menu - Row - Do Not Translate

Row - Do Not Translate

Mark current row with Do Not Translate flag.


Menu - Row - Exclude Component

Row - Exclude Component

Exclude selected component from the project.


Menu - Row - Exclude Row

Row - Exclude Row

Exclude current row from the project.


Menu - Row - Exclude Native

Row - Exclude Native

Exclude current row from the project by the native value.


Menu - Row - Exclude Property

Row - Exclude Property

Exclude current property from the project by the property name.


Menu - Row - Max Characters

Row - Max Characters

Edit row Max Characters value. If the value is specified or is greater than zero, you can't enter a value for the translation that is greater than the value specified.

© 2005 Multilizer Inc. www.multilizer.com All rights reserved.


Menu - Row - Max Pixels

Row - Max Pixels

Edit current row Max Pixels value. If the value is specified or is greater than zero, you can't enter a value for the translation that is greater than the value specified. The length of the translation is calculated based on the font setting specified for each script in Options dialog [Tools | Options... | <platform>] Font].
© 2005 Multilizer Inc. www.multilizer.com All rights reserved.


Menu - Row

Row

Menu options for the row selected.


Menu - Row - Message String

Row - Message String

Set message string flag. The message string indicates the string is used in message or string formatting function in the target application. The message string status can be used in Inconsistent Message String validation routine. See: Validate As dialog.

© 2005 Multilizer Inc. www.multilizer.com All rights reserved.


Menu - Row - Status

Row - Status

Set row status flag.

© 2005 Multilizer Inc. www.multilizer.com All rights reserved.


Menu - Row - Toggle Status

Row - Toggle Status

Set the selected row status to the next status value.

© 2005 Multilizer Inc. www.multilizer.com All rights reserved.


Menu - Row - Toggle Translation Status

Row - Toggle Translation Status

Toggle the selected row translation status for the selected language.


Select File Type

The Select File Type dialog lets you specify the platform and target type that matches your project.

Platform type

Choose the platform type. The possible values are:

.NET | Microsoft .NET applications
Windows | Windows applications
Windows CE | Windows CE applications
Symbian | Symbian applications
Palm | Palm applications
Java | Java applications or applets
Data | Data storage such as databases and XML files

Target type

Each platform type contains several target types. Choose the target type that matches your project.


Languages

Select a language from the list and press OK.


Select Translation

There are two or more translations for the same string in Translation Memory. Use this dialog to select the preferred translation for this string.


Context Menu - Status - Options

Status - Options

Show the statusbar options.


String Translation

Edit Translation

Use this dialog for translating long strings instead of the editing in the grid.

There are two memos in the dialog:

  • Native shows the original string. This is read-only. You can mark and copy parts of the native text, and paste it in the translation.
  • <language> shows the translation.

Note:

Pressing Enter will add a new line break in the translation; close the dialog with Ok/Cancel button.


String Value

Use this dialog to enter the string value and press OK.


System Information

This dialog shows the computer system information e.g. operating system name and version, used locales and installed compilers.


Targets

Use the Targets dialog box to specify the items that will be localized.

Add

Add a new file target to the project. Displays the Target Wizard dialog box that lets you select a new target.

New

Add a new target to the project. Displays the Add Target dialog box that lets you select the type of the target.

Edit

Edit target properties.

Delete

Delete target from the project.
© 2005 Multilizer Inc. www.multilizer.com All rights reserved.


Context Menu - Taskbar - Options

Taskbar - Options

Open the taskbar options.


Pseudo Translation

Use this dialog to specify the test options for the translated language.

Pseudo translation will be applied to untranslated strings in selected column. Pseudo translation is not marked to strings marked as 'message string'. (By default MULTILIZER marks strings with placeholders (%s, %d, {0}, etc.) as message strings).

Select the test type

Specifies the test type.

Cover

Every native character is replaced with a replace character. This tests for missed or hard coded strings.

Replace every character with

Type the character that is used as the replacing character.

Minimum

Every native string is replaced with a single character. This tests that the user interface works for minimum length strings.

Reduction

The native string can be reduced in two ways:

Reduce strings to the first character in the string | Write the first character of the native string in the language column.
Reduce strings to the custom string | Write the custom string in the language column.

Pseudo Language

Every native string is extended and/or altered to simulate general European string extension and character diacritics. This tests the ability of the user interface to handle European languages.

This dialog is used when the language is a European language.

Expand

The string is expanded. For example "Sample" becomes "Sample________X". This can be used to test that the user interface handles longer translations correctly. In many cases English is shorted that other languages. The expansion depends on the length of the native string.

Enclose

The string is enclosed in braces. For example "Sample" becomes "{Sample}". This can be used to test that both the beginning and the end of the string are visible.

Alternate case

Character case is alternated. For example "Sample" becomes "SaMpLe".

Upper case

Character case is changed. For example "Sample" becomes "SAMPLE".

Diacritics

Diacritics are added to the characters. For example "Sample" becomes "Sämplé". This can be used to test that the user interface handles diacritic and accented characters correctly.

Expand

Specifies the expand character.

Last

Specifies the last character

These are used only if the Expand check box in the Options group is checked.

Expand percentage

Specifies the expansion percentage.

Native length (in characters) | Test length (in characters)
1...5 | The native string is expanded by 200 percent. For example the word "red" that is three characters long is expanded to nine characters, "red_____X"
6...10 | The native string is expanded by 100 percent.
11...20 | The native string is expanded by 70 percent.
21...30 | The native string is expanded by 50 percent.
31...50 | The native string is expanded by 30 percent.
over 50 | The native string is expanded by 20 percent.

These are used only if the Expand check box in the Options group is checked.

The above expanding percentages may seem to be quite high. In many cases the translated words or phrases in other languages are only slightly longer than in English. But there always exist translations that are much longer than the English one. For example the word "red" is only three characters in English but eight characters ("punainen") in Finnish.
© 2005 Multilizer Inc. www.multilizer.com All rights reserved.


Menu - Tools - Languages And Locales

Tools - Languages And Locales

Manage the MULTILIZER global languages and locales. See: Languages and Locales dialog.


Menu - Tools - Licenses

Tools - Licenses

Open the Licenses dialog.


Menu - Tools

Tools

Tools menu.


Menu - Tools - Options

Tools - Options

Modify MULTILIZER application options.


Menu - Tools - Translation Memories

Tools - Translation Memories

Edit Translation Memories.


Context Menu - Validate - Options

Validate - Options

Open the Validation Options dialog.


Context Menu - Validate - Enabled

Validate - Enabled

Set the validation to enabled or disabled.


Context Menu - Validate - Fix

Validate - Fix

Fix the selected validation report item.


Value

Use this dialog to enter the requested value and press OK.


Context Menu - Graph - Select Parent

Graph - Select Parent

Select the component parent.


VCL Project File

No Delphi project file (.dpr) specified. It is recommended to specify the project file.

You can localize the file but MULTILIZER cannot resolve the visual inheritance path without the project file.


Context Menu - Graph - Component Mappings

Graph - Component Mappings

Open the Component Mappings dialog.


Menu - View - Columns

View - Columns

Select columns to view in translation grid. See: Grid Columns dialog


Menu - View - Edit Language

View - Edit Language

Select the language to be edited in the translation grid.


Menu - View - Filter

View - Filter

Set filtering options for the translation grid. See: Grid Filter dialog.


Menu - View - Infopage

View - Infopage

Show or hide infopage at the bottom of the main window.


Menu - View - Languages

View - Languages

Select languages to be shown in the translation grid. See: Grid Languages dialog.


Menu - View

View

Set view options.


Menu - View - Statusbar

View - Statusbar

Show or hide application statusbar.


Menu - View - Toolbar

View - Toolbar

Show or hide the application toolbar.


Context Menu - Graph - Accelerator - Revert

Graph - Accelerator - Revert

Revert the accelerator to the native value.


XML Element

Use this dialog to specify the XML element properties.

Localize element

Mark the element to be localized.

Data type

Specifies the data type of the element contents.